/* Generated by re2c 1.1.1 on Wed Aug 12 14:15:01 2020 */
#line 1 "tokenizer.re"
#include <limits>

#include "tokenizer.h"
#include "parser.tab.hh"

namespace LFortran
{

void Tokenizer::set_string(const std::string &str)
{
    // The input string must be NULL terminated, otherwise the tokenizer will
    // not detect the end of string. After C++11, the std::string is guaranteed
    // to end with \0, but we check this here just in case.
    LFORTRAN_ASSERT(str[str.size()] == '\0');
    cur = (unsigned char *)(&str[0]);
    cur_line = cur;
    line_num = 1;
}

template<int base>
bool adddgt(unsigned long &u, unsigned long d)
{
    if (u > (std::numeric_limits<unsigned long>::max() - d) / base) {
        return false;
    }
    u = u * base + d;
    return true;
}

bool lex_dec(const unsigned char *s, const unsigned char *e, unsigned long &u)
{
    for (u = 0; s < e; ++s) {
        if (!adddgt<10>(u, *s - 0x30u)) {
            return false;
        }
    }
    return true;
}

#define KW(x) token(yylval.string); RET(KW_##x);
#define RET(x) token_loc(loc); return yytokentype::x;

int Tokenizer::lex(YYSTYPE &yylval, Location &loc)
{
	unsigned long u;
    for (;;) {
        tok = cur;
        /*
        Re2c has an excellent documentation at:

        https://re2c.org/manual/manual_c.html

        The first paragraph there explains the basics:

        * If multiple rules match, the longest match takes precedence
        * If multiple rules match the same string, the earlier rule takes
          precedence
        * Default rule `*` should always be defined, it has the lowest priority
          regardless of its place and matches any code unit

        See the manual for more details.
        */
        
#line 67 "tokenizer.cpp"
{
	unsigned char yych;
	unsigned int yyaccept = 0;
	static const unsigned char yybm[] = {
		/* table 1 .. 8: 0 */
		  0,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  24,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  20,  28,  28,  28,  28,  12, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		159, 159, 159, 159, 159, 159, 159, 159, 
		159, 159,  28,  28,  28,  28,  28,  28, 
		 28, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158,  28,  28,  28,  28, 220, 
		 28, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		/* table 9 .. 9: 256 */
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0, 128,   0, 128,   0, 128,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		128,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
	};
	yych = *cur;
	if (yybm[256+yych] & 128) {
		goto yy6;
	}
	switch (yych) {
	case 0x00:	goto yy2;
	case '\t':
	case '\n':	goto yy9;
	case ' ':
	case '!':	goto yy11;
	case '"':	goto yy12;
	case '%':	goto yy13;
	case '\'':	goto yy15;
	case '(':	goto yy16;
	case ')':	goto yy18;
	case '*':	goto yy20;
	case '+':	goto yy22;
	case ',':	goto yy24;
	case '-':	goto yy26;
	case '.':	goto yy28;
	case '/':	goto yy29;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy31;
	case ':':	goto yy34;
	case ';':	goto yy36;
	case '<':	goto yy38;
	case '=':	goto yy40;
	case '>':	goto yy42;
	case 'A':
	case 'a':	goto yy44;
	case 'B':
	case 'b':	goto yy46;
	case 'C':
	case 'c':	goto yy47;
	case 'D':
	case 'd':	goto yy48;
	case 'E':
	case 'e':	goto yy49;
	case 'F':
	case 'f':	goto yy50;
	case 'G':
	case 'g':	goto yy51;
	case 'H':
	case 'J':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'h':
	case 'j':
	case 'x':
	case 'y':
	case 'z':	goto yy52;
	case 'I':
	case 'i':	goto yy54;
	case 'K':
	case 'k':	goto yy55;
	case 'L':
	case 'l':	goto yy56;
	case 'M':
	case 'm':	goto yy57;
	case 'N':
	case 'n':	goto yy58;
	case 'O':
	case 'o':	goto yy59;
	case 'P':
	case 'p':	goto yy60;
	case 'Q':
	case 'q':	goto yy61;
	case 'R':
	case 'r':	goto yy62;
	case 'S':
	case 's':	goto yy63;
	case 'T':
	case 't':	goto yy64;
	case 'U':
	case 'u':	goto yy65;
	case 'V':
	case 'v':	goto yy66;
	case 'W':
	case 'w':	goto yy67;
	case '[':	goto yy68;
	case ']':	goto yy70;
	case '|':	goto yy72;
	default:	goto yy4;
	}
yy2:
	++cur;
#line 88 "tokenizer.re"
	{ RET(END_OF_FILE); }
#line 237 "tokenizer.cpp"
yy4:
	++cur;
yy5:
#line 83 "tokenizer.re"
	{ token_loc(loc);
                std::string t = token();
                throw LFortran::TokenizerError("token '" + t
                    + "' is not recognized", loc, t);
            }
#line 247 "tokenizer.cpp"
yy6:
	yych = *++cur;
	if (yybm[256+yych] & 128) {
		goto yy6;
	}
#line 89 "tokenizer.re"
	{ continue; }
#line 255 "tokenizer.cpp"
yy9:
	++cur;
#line 228 "tokenizer.re"
	{
                    token_loc(loc); line_num++; cur_line=cur;
                    return yytokentype::TK_NEWLINE;
            }
#line 263 "tokenizer.cpp"
yy11:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy75;
yy12:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy80;
yy13:
	++cur;
#line 244 "tokenizer.re"
	{ RET(TK_PERCENT) }
#line 278 "tokenizer.cpp"
yy15:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy84;
yy16:
	++cur;
#line 234 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 288 "tokenizer.cpp"
yy18:
	++cur;
#line 235 "tokenizer.re"
	{ RET(TK_RPAREN) }
#line 293 "tokenizer.cpp"
yy20:
	yych = *++cur;
	if (yych == '*') goto yy87;
#line 246 "tokenizer.re"
	{ RET(TK_STAR) }
#line 299 "tokenizer.cpp"
yy22:
	++cur;
#line 238 "tokenizer.re"
	{ RET(TK_PLUS) }
#line 304 "tokenizer.cpp"
yy24:
	++cur;
#line 245 "tokenizer.re"
	{ RET(TK_COMMA) }
#line 309 "tokenizer.cpp"
yy26:
	++cur;
#line 239 "tokenizer.re"
	{ RET(TK_MINUS) }
#line 314 "tokenizer.cpp"
yy28:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 'f') {
		if (yych <= '9') {
			if (yych == '.') goto yy89;
			if (yych <= '/') goto yy5;
			goto yy91;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy5;
				goto yy94;
			} else {
				if (yych <= 'd') goto yy95;
				if (yych <= 'e') goto yy97;
				goto yy98;
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'k') {
				if (yych <= 'g') goto yy99;
				goto yy95;
			} else {
				if (yych <= 'l') goto yy100;
				if (yych <= 'm') goto yy95;
				goto yy101;
			}
		} else {
			if (yych <= 's') {
				if (yych <= 'o') goto yy102;
				goto yy95;
			} else {
				if (yych <= 't') goto yy103;
				if (yych <= 'z') goto yy95;
				goto yy5;
			}
		}
	}
yy29:
	yych = *++cur;
	if (yych == '/') goto yy104;
	if (yych == '=') goto yy106;
#line 243 "tokenizer.re"
	{ RET(TK_SLASH) }
#line 360 "tokenizer.cpp"
yy31:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 1) {
		goto yy31;
	}
	if (yych <= 'E') {
		if (yych == '.') {
			ctxmar = cur;
			goto yy108;
		}
		if (yych >= 'D') goto yy109;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy110;
		} else {
			if (yych <= 'c') goto yy33;
			if (yych <= 'e') goto yy109;
		}
	}
yy33:
#line 295 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 394 "tokenizer.cpp"
yy34:
	yych = *++cur;
	if (yych == ':') goto yy111;
#line 241 "tokenizer.re"
	{ RET(TK_COLON) }
#line 400 "tokenizer.cpp"
yy36:
	++cur;
#line 242 "tokenizer.re"
	{ RET(TK_SEMICOLON) }
#line 405 "tokenizer.cpp"
yy38:
	yych = *++cur;
	if (yych == '=') goto yy113;
yy39:
#line 259 "tokenizer.re"
	{ RET(TK_LT) }
#line 412 "tokenizer.cpp"
yy40:
	yych = *++cur;
	if (yych <= '<') goto yy41;
	if (yych <= '=') goto yy115;
	if (yych <= '>') goto yy117;
yy41:
#line 240 "tokenizer.re"
	{ RET(TK_EQUAL) }
#line 421 "tokenizer.cpp"
yy42:
	yych = *++cur;
	if (yych == '=') goto yy119;
yy43:
#line 261 "tokenizer.re"
	{ RET(TK_GT) }
#line 428 "tokenizer.cpp"
yy44:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych == 'B') goto yy121;
			goto yy53;
		} else {
			if (yych <= 'L') goto yy122;
			if (yych <= 'R') goto yy53;
			goto yy123;
		}
	} else {
		if (yych <= 'k') {
			if (yych == 'b') goto yy121;
			goto yy53;
		} else {
			if (yych <= 'l') goto yy122;
			if (yych == 's') goto yy123;
			goto yy53;
		}
	}
yy45:
#line 313 "tokenizer.re"
	{ token(yylval.string); RET(TK_NAME) }
#line 453 "tokenizer.cpp"
yy46:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych <= 'H') {
			if (yych == 'A') goto yy126;
			goto yy53;
		} else {
			if (yych <= 'I') goto yy127;
			if (yych <= 'K') goto yy53;
			goto yy128;
		}
	} else {
		if (yych <= 'h') {
			if (yych == 'a') goto yy126;
			goto yy53;
		} else {
			if (yych <= 'i') goto yy127;
			if (yych == 'l') goto yy128;
			goto yy53;
		}
	}
yy47:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy129;
	case 'H':
	case 'h':	goto yy130;
	case 'L':
	case 'l':	goto yy131;
	case 'O':
	case 'o':	goto yy132;
	case 'R':
	case 'r':	goto yy133;
	case 'Y':
	case 'y':	goto yy134;
	default:	goto yy53;
	}
yy48:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'E') {
			if (yych == 'A') goto yy135;
			if (yych <= 'D') goto yy53;
			goto yy136;
		} else {
			if (yych == 'I') goto yy137;
			if (yych <= 'N') goto yy53;
			goto yy138;
		}
	} else {
		if (yych <= 'e') {
			if (yych == 'a') goto yy135;
			if (yych <= 'd') goto yy53;
			goto yy136;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy53;
				goto yy137;
			} else {
				if (yych == 'o') goto yy138;
				goto yy53;
			}
		}
	}
yy49:
	yych = *++cur;
	switch (yych) {
	case 'L':
	case 'l':	goto yy140;
	case 'N':
	case 'n':	goto yy141;
	case 'Q':
	case 'q':	goto yy142;
	case 'R':
	case 'r':	goto yy143;
	case 'X':
	case 'x':	goto yy144;
	default:	goto yy53;
	}
yy50:
	yych = *++cur;
	switch (yych) {
	case 'I':
	case 'i':	goto yy145;
	case 'L':
	case 'l':	goto yy146;
	case 'O':
	case 'o':	goto yy147;
	case 'U':
	case 'u':	goto yy148;
	default:	goto yy53;
	}
yy51:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy149;
		if (yych <= 'N') goto yy53;
		goto yy150;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy149;
		} else {
			if (yych == 'o') goto yy150;
			goto yy53;
		}
	}
yy52:
	yych = *++cur;
yy53:
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
	goto yy45;
yy54:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'L') {
			if (yych == 'F') goto yy152;
			goto yy53;
		} else {
			if (yych <= 'M') goto yy154;
			if (yych <= 'N') goto yy155;
			if (yych <= 'R') goto yy53;
			goto yy157;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'f') goto yy152;
			if (yych <= 'l') goto yy53;
			goto yy154;
		} else {
			if (yych <= 'n') goto yy155;
			if (yych == 's') goto yy157;
			goto yy53;
		}
	}
yy55:
	yych = *++cur;
	if (yych == 'I') goto yy159;
	if (yych == 'i') goto yy159;
	goto yy53;
yy56:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy160;
		if (yych <= 'N') goto yy53;
		goto yy161;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy160;
		} else {
			if (yych == 'o') goto yy161;
			goto yy53;
		}
	}
yy57:
	yych = *++cur;
	if (yych == 'O') goto yy162;
	if (yych == 'o') goto yy162;
	goto yy53;
yy58:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'A') goto yy163;
			goto yy53;
		} else {
			if (yych <= 'O') goto yy164;
			if (yych <= 'T') goto yy53;
			goto yy165;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'a') goto yy163;
			goto yy53;
		} else {
			if (yych <= 'o') goto yy164;
			if (yych == 'u') goto yy165;
			goto yy53;
		}
	}
yy59:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'O') {
			if (yych == 'N') goto yy166;
			goto yy53;
		} else {
			if (yych <= 'P') goto yy167;
			if (yych <= 'T') goto yy53;
			goto yy168;
		}
	} else {
		if (yych <= 'o') {
			if (yych == 'n') goto yy166;
			goto yy53;
		} else {
			if (yych <= 'p') goto yy167;
			if (yych == 'u') goto yy168;
			goto yy53;
		}
	}
yy60:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'O') {
			if (yych == 'A') goto yy169;
			if (yych <= 'N') goto yy53;
			goto yy170;
		} else {
			if (yych == 'R') goto yy171;
			if (yych <= 'T') goto yy53;
			goto yy172;
		}
	} else {
		if (yych <= 'o') {
			if (yych == 'a') goto yy169;
			if (yych <= 'n') goto yy53;
			goto yy170;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy53;
				goto yy171;
			} else {
				if (yych == 'u') goto yy172;
				goto yy53;
			}
		}
	}
yy61:
	yych = *++cur;
	if (yych == 'U') goto yy173;
	if (yych == 'u') goto yy173;
	goto yy53;
yy62:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy174;
		if (yych <= 'D') goto yy53;
		goto yy175;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy174;
		} else {
			if (yych == 'e') goto yy175;
			goto yy53;
		}
	}
yy63:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy176;
	case 'E':
	case 'e':	goto yy177;
	case 'H':
	case 'h':	goto yy178;
	case 'O':
	case 'o':	goto yy179;
	case 'T':
	case 't':	goto yy180;
	case 'U':
	case 'u':	goto yy181;
	default:	goto yy53;
	}
yy64:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy182;
	case 'E':
	case 'e':	goto yy183;
	case 'H':
	case 'h':	goto yy184;
	case 'O':
	case 'o':	goto yy185;
	case 'Y':
	case 'y':	goto yy187;
	default:	goto yy53;
	}
yy65:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'N') goto yy188;
		if (yych <= 'R') goto yy53;
		goto yy189;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy53;
			goto yy188;
		} else {
			if (yych == 's') goto yy189;
			goto yy53;
		}
	}
yy66:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy190;
		if (yych <= 'N') goto yy53;
		goto yy191;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy190;
		} else {
			if (yych == 'o') goto yy191;
			goto yy53;
		}
	}
yy67:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'H') goto yy192;
		if (yych <= 'Q') goto yy53;
		goto yy193;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy53;
			goto yy192;
		} else {
			if (yych == 'r') goto yy193;
			goto yy53;
		}
	}
yy68:
	++cur;
#line 236 "tokenizer.re"
	{ RET(TK_LBRACKET) }
#line 788 "tokenizer.cpp"
yy70:
	++cur;
#line 237 "tokenizer.re"
	{ RET(TK_RBRACKET) }
#line 793 "tokenizer.cpp"
yy72:
	++cur;
#line 247 "tokenizer.re"
	{ RET(TK_VBAR) }
#line 798 "tokenizer.cpp"
yy74:
	yych = *++cur;
yy75:
	if (yybm[0+yych] & 4) {
		goto yy74;
	}
	if (yych >= 0x01) goto yy77;
yy76:
	cur = mar;
	if (yyaccept <= 4) {
		if (yyaccept <= 2) {
			if (yyaccept <= 1) {
				if (yyaccept == 0) {
					goto yy5;
				} else {
					goto yy33;
				}
			} else {
				goto yy82;
			}
		} else {
			if (yyaccept == 3) {
				goto yy86;
			} else {
				goto yy93;
			}
		}
	} else {
		if (yyaccept <= 6) {
			if (yyaccept == 5) {
				goto yy45;
			} else {
				goto yy245;
			}
		} else {
			if (yyaccept == 7) {
				goto yy591;
			} else {
				goto yy692;
			}
		}
	}
yy77:
	++cur;
	cur -= 1;
#line 307 "tokenizer.re"
	{ token(yylval.string); RET(TK_COMMENT) }
#line 846 "tokenizer.cpp"
yy79:
	yych = *++cur;
yy80:
	if (yybm[0+yych] & 8) {
		goto yy79;
	}
	if (yych <= 0x00) goto yy76;
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych == '"') goto yy79;
yy82:
#line 309 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 860 "tokenizer.cpp"
yy83:
	yych = *++cur;
yy84:
	if (yybm[0+yych] & 16) {
		goto yy83;
	}
	if (yych <= 0x00) goto yy76;
	yyaccept = 3;
	yych = *(mar = ++cur);
	if (yych == '\'') goto yy83;
yy86:
#line 310 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 874 "tokenizer.cpp"
yy87:
	++cur;
#line 252 "tokenizer.re"
	{ RET(TK_POW) }
#line 879 "tokenizer.cpp"
yy89:
	++cur;
#line 250 "tokenizer.re"
	{ RET(TK_DBL_DOT) }
#line 884 "tokenizer.cpp"
yy91:
	yyaccept = 4;
	yych = *(mar = ++cur);
yy92:
	if (yych <= 'E') {
		if (yych <= '/') goto yy93;
		if (yych <= '9') goto yy91;
		if (yych >= 'D') goto yy109;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy194;
		} else {
			if (yych <= 'c') goto yy93;
			if (yych <= 'e') goto yy109;
		}
	}
yy93:
#line 294 "tokenizer.re"
	{ token(yylval.string); RET(TK_REAL) }
#line 904 "tokenizer.cpp"
yy94:
	yych = *++cur;
	if (yych == 'n') goto yy197;
	goto yy96;
yy95:
	yych = *++cur;
yy96:
	if (yybm[0+yych] & 32) {
		goto yy95;
	}
	if (yych == '.') goto yy195;
	goto yy76;
yy97:
	yych = *++cur;
	if (yych == 'q') goto yy198;
	goto yy96;
yy98:
	yych = *++cur;
	if (yych == 'a') goto yy199;
	goto yy96;
yy99:
	yych = *++cur;
	if (yych == 'e') goto yy200;
	if (yych == 't') goto yy201;
	goto yy96;
yy100:
	yych = *++cur;
	if (yych == 'e') goto yy202;
	if (yych == 't') goto yy203;
	goto yy96;
yy101:
	yych = *++cur;
	if (yych == 'e') goto yy204;
	if (yych == 'o') goto yy205;
	goto yy96;
yy102:
	yych = *++cur;
	if (yych == 'r') goto yy206;
	goto yy96;
yy103:
	yych = *++cur;
	if (yych == 'r') goto yy207;
	goto yy96;
yy104:
	++cur;
#line 253 "tokenizer.re"
	{ RET(TK_CONCAT) }
#line 952 "tokenizer.cpp"
yy106:
	++cur;
#line 258 "tokenizer.re"
	{ RET(TK_NE) }
#line 957 "tokenizer.cpp"
yy108:
	yyaccept = 4;
	yych = *(mar = ++cur);
	if (yych <= '`') goto yy92;
	if (yych <= 'c') goto yy208;
	if (yych <= 'e') goto yy210;
	if (yych <= 'z') goto yy208;
	goto yy92;
yy109:
	yych = *++cur;
	if (yych <= ',') {
		if (yych == '+') goto yy211;
		goto yy76;
	} else {
		if (yych <= '-') goto yy211;
		if (yych <= '/') goto yy76;
		if (yych <= '9') goto yy212;
		goto yy76;
	}
yy110:
	yych = *++cur;
	if (yych <= '9') {
		if (yych <= '&') {
			if (yych == '"') goto yy79;
			goto yy76;
		} else {
			if (yych <= '\'') goto yy83;
			if (yych <= '/') goto yy76;
			goto yy214;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy76;
			if (yych <= 'Z') goto yy216;
			goto yy76;
		} else {
			if (yych == '`') goto yy76;
			if (yych <= 'z') goto yy216;
			goto yy76;
		}
	}
yy111:
	++cur;
#line 251 "tokenizer.re"
	{ RET(TK_DBL_COLON) }
#line 1003 "tokenizer.cpp"
yy113:
	++cur;
#line 260 "tokenizer.re"
	{ RET(TK_LE) }
#line 1008 "tokenizer.cpp"
yy115:
	++cur;
#line 257 "tokenizer.re"
	{ RET(TK_EQ) }
#line 1013 "tokenizer.cpp"
yy117:
	++cur;
#line 254 "tokenizer.re"
	{ RET(TK_ARROW) }
#line 1018 "tokenizer.cpp"
yy119:
	++cur;
#line 262 "tokenizer.re"
	{ RET(TK_GE) }
#line 1023 "tokenizer.cpp"
yy121:
	yych = *++cur;
	if (yych == 'S') goto yy218;
	if (yych == 's') goto yy218;
	goto yy53;
yy122:
	yych = *++cur;
	if (yych == 'L') goto yy219;
	if (yych == 'l') goto yy219;
	goto yy53;
yy123:
	yych = *++cur;
	if (yych <= 'Y') {
		if (yych == 'S') goto yy221;
		if (yych <= 'X') goto yy53;
		goto yy222;
	} else {
		if (yych <= 's') {
			if (yych <= 'r') goto yy53;
			goto yy221;
		} else {
			if (yych == 'y') goto yy222;
			goto yy53;
		}
	}
yy124:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych <= '&') {
		if (yych == '"') goto yy79;
		goto yy45;
	} else {
		if (yych <= '\'') goto yy83;
		if (yych == '_') goto yy124;
		goto yy45;
	}
yy126:
	yych = *++cur;
	if (yych == 'C') goto yy223;
	if (yych == 'c') goto yy223;
	goto yy53;
yy127:
	yych = *++cur;
	if (yych == 'N') goto yy224;
	if (yych == 'n') goto yy224;
	goto yy53;
yy128:
	yych = *++cur;
	if (yych == 'O') goto yy225;
	if (yych == 'o') goto yy225;
	goto yy53;
yy129:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'L') goto yy226;
		if (yych <= 'R') goto yy53;
		goto yy227;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy53;
			goto yy226;
		} else {
			if (yych == 's') goto yy227;
			goto yy53;
		}
	}
yy130:
	yych = *++cur;
	if (yych == 'A') goto yy228;
	if (yych == 'a') goto yy228;
	goto yy53;
yy131:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy229;
		if (yych <= 'N') goto yy53;
		goto yy230;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy229;
		} else {
			if (yych == 'o') goto yy230;
			goto yy53;
		}
	}
yy132:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy53;
			goto yy231;
		} else {
			if (yych <= 'L') goto yy53;
			if (yych <= 'M') goto yy232;
			goto yy233;
		}
	} else {
		if (yych <= 'l') {
			if (yych == 'd') goto yy231;
			goto yy53;
		} else {
			if (yych <= 'm') goto yy232;
			if (yych <= 'n') goto yy233;
			goto yy53;
		}
	}
yy133:
	yych = *++cur;
	if (yych == 'I') goto yy234;
	if (yych == 'i') goto yy234;
	goto yy53;
yy134:
	yych = *++cur;
	if (yych == 'C') goto yy235;
	if (yych == 'c') goto yy235;
	goto yy53;
yy135:
	yych = *++cur;
	if (yych == 'T') goto yy236;
	if (yych == 't') goto yy236;
	goto yy53;
yy136:
	yych = *++cur;
	if (yych <= 'F') {
		if (yych == 'A') goto yy237;
		if (yych <= 'E') goto yy53;
		goto yy238;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy237;
		} else {
			if (yych == 'f') goto yy238;
			goto yy53;
		}
	}
yy137:
	yych = *++cur;
	if (yych == 'M') goto yy239;
	if (yych == 'm') goto yy239;
	goto yy53;
yy138:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'W') {
		if (yych <= '@') {
			if (yych <= '/') goto yy139;
			if (yych <= '9') goto yy52;
		} else {
			if (yych == 'U') goto yy240;
			if (yych <= 'V') goto yy52;
			goto yy241;
		}
	} else {
		if (yych <= 'u') {
			if (yych <= 'Z') goto yy52;
			if (yych <= '`') goto yy139;
			if (yych <= 't') goto yy52;
			goto yy240;
		} else {
			if (yych == 'w') goto yy241;
			if (yych <= 'z') goto yy52;
		}
	}
yy139:
#line 121 "tokenizer.re"
	{ KW(DO) }
#line 1197 "tokenizer.cpp"
yy140:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'E') goto yy242;
		if (yych <= 'R') goto yy53;
		goto yy243;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy242;
		} else {
			if (yych == 's') goto yy243;
			goto yy53;
		}
	}
yy141:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy53;
			goto yy244;
		} else {
			if (yych <= 'S') goto yy53;
			if (yych <= 'T') goto yy246;
			goto yy247;
		}
	} else {
		if (yych <= 's') {
			if (yych == 'd') goto yy244;
			goto yy53;
		} else {
			if (yych <= 't') goto yy246;
			if (yych <= 'u') goto yy247;
			goto yy53;
		}
	}
yy142:
	yych = *++cur;
	if (yych == 'U') goto yy248;
	if (yych == 'u') goto yy248;
	goto yy53;
yy143:
	yych = *++cur;
	if (yych == 'R') goto yy249;
	if (yych == 'r') goto yy249;
	goto yy53;
yy144:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'I') goto yy250;
		if (yych <= 'S') goto yy53;
		goto yy251;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy53;
			goto yy250;
		} else {
			if (yych == 't') goto yy251;
			goto yy53;
		}
	}
yy145:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'L') goto yy252;
		if (yych <= 'M') goto yy53;
		goto yy253;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy53;
			goto yy252;
		} else {
			if (yych == 'n') goto yy253;
			goto yy53;
		}
	}
yy146:
	yych = *++cur;
	if (yych == 'U') goto yy254;
	if (yych == 'u') goto yy254;
	goto yy53;
yy147:
	yych = *++cur;
	if (yych == 'R') goto yy255;
	if (yych == 'r') goto yy255;
	goto yy53;
yy148:
	yych = *++cur;
	if (yych == 'N') goto yy256;
	if (yych == 'n') goto yy256;
	goto yy53;
yy149:
	yych = *++cur;
	if (yych == 'N') goto yy257;
	if (yych == 'n') goto yy257;
	goto yy53;
yy150:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 150 "tokenizer.re"
	{ KW(GO) }
#line 1302 "tokenizer.cpp"
yy152:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 151 "tokenizer.re"
	{ KW(IF) }
#line 1311 "tokenizer.cpp"
yy154:
	yych = *++cur;
	if (yych == 'P') goto yy258;
	if (yych == 'p') goto yy258;
	goto yy53;
yy155:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'T') {
		if (yych <= 'C') {
			if (yych <= '9') {
				if (yych >= '0') goto yy52;
			} else {
				if (yych <= '@') goto yy156;
				if (yych <= 'B') goto yy52;
				goto yy259;
			}
		} else {
			if (yych <= 'P') {
				if (yych == 'O') goto yy260;
				goto yy52;
			} else {
				if (yych <= 'Q') goto yy261;
				if (yych <= 'S') goto yy52;
				goto yy262;
			}
		}
	} else {
		if (yych <= 'o') {
			if (yych <= 'b') {
				if (yych <= 'Z') goto yy52;
				if (yych >= 'a') goto yy52;
			} else {
				if (yych <= 'c') goto yy259;
				if (yych <= 'n') goto yy52;
				goto yy260;
			}
		} else {
			if (yych <= 's') {
				if (yych == 'q') goto yy261;
				goto yy52;
			} else {
				if (yych <= 't') goto yy262;
				if (yych <= 'z') goto yy52;
			}
		}
	}
yy156:
#line 155 "tokenizer.re"
	{ KW(IN) }
#line 1364 "tokenizer.cpp"
yy157:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 163 "tokenizer.re"
	{ KW(IS) }
#line 1373 "tokenizer.cpp"
yy159:
	yych = *++cur;
	if (yych == 'N') goto yy263;
	if (yych == 'n') goto yy263;
	goto yy53;
yy160:
	yych = *++cur;
	if (yych == 'N') goto yy264;
	if (yych == 'n') goto yy264;
	goto yy53;
yy161:
	yych = *++cur;
	if (yych <= 'G') {
		if (yych == 'C') goto yy266;
		if (yych <= 'F') goto yy53;
		goto yy267;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy53;
			goto yy266;
		} else {
			if (yych == 'g') goto yy267;
			goto yy53;
		}
	}
yy162:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy268;
		if (yych <= 'K') goto yy53;
		goto yy269;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy53;
			goto yy268;
		} else {
			if (yych == 'l') goto yy269;
			goto yy53;
		}
	}
yy163:
	yych = *++cur;
	if (yych == 'M') goto yy270;
	if (yych == 'm') goto yy270;
	goto yy53;
yy164:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'N') goto yy271;
		if (yych <= 'O') goto yy53;
		goto yy272;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy53;
			goto yy271;
		} else {
			if (yych == 'p') goto yy272;
			goto yy53;
		}
	}
yy165:
	yych = *++cur;
	if (yych == 'L') goto yy273;
	if (yych == 'l') goto yy273;
	goto yy53;
yy166:
	yych = *++cur;
	if (yych == 'L') goto yy274;
	if (yych == 'l') goto yy274;
	goto yy53;
yy167:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy275;
		if (yych <= 'S') goto yy53;
		goto yy276;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy275;
		} else {
			if (yych == 't') goto yy276;
			goto yy53;
		}
	}
yy168:
	yych = *++cur;
	if (yych == 'T') goto yy277;
	if (yych == 't') goto yy277;
	goto yy53;
yy169:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'Q') goto yy53;
		if (yych <= 'R') goto yy279;
		goto yy280;
	} else {
		if (yych <= 'q') goto yy53;
		if (yych <= 'r') goto yy279;
		if (yych <= 's') goto yy280;
		goto yy53;
	}
yy170:
	yych = *++cur;
	if (yych == 'I') goto yy281;
	if (yych == 'i') goto yy281;
	goto yy53;
yy171:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'H') {
			if (yych == 'E') goto yy282;
			goto yy53;
		} else {
			if (yych <= 'I') goto yy283;
			if (yych <= 'N') goto yy53;
			goto yy284;
		}
	} else {
		if (yych <= 'h') {
			if (yych == 'e') goto yy282;
			goto yy53;
		} else {
			if (yych <= 'i') goto yy283;
			if (yych == 'o') goto yy284;
			goto yy53;
		}
	}
yy172:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'B') goto yy285;
		if (yych <= 'Q') goto yy53;
		goto yy286;
	} else {
		if (yych <= 'b') {
			if (yych <= 'a') goto yy53;
			goto yy285;
		} else {
			if (yych == 'r') goto yy286;
			goto yy53;
		}
	}
yy173:
	yych = *++cur;
	if (yych == 'I') goto yy287;
	if (yych == 'i') goto yy287;
	goto yy53;
yy174:
	yych = *++cur;
	if (yych == 'N') goto yy288;
	if (yych == 'n') goto yy288;
	goto yy53;
yy175:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy289;
	case 'C':
	case 'c':	goto yy290;
	case 'D':
	case 'd':	goto yy291;
	case 'S':
	case 's':	goto yy292;
	case 'T':
	case 't':	goto yy293;
	case 'W':
	case 'w':	goto yy294;
	default:	goto yy53;
	}
yy176:
	yych = *++cur;
	if (yych == 'V') goto yy295;
	if (yych == 'v') goto yy295;
	goto yy53;
yy177:
	yych = *++cur;
	if (yych <= 'Q') {
		if (yych == 'L') goto yy296;
		if (yych <= 'P') goto yy53;
		goto yy297;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy53;
			goto yy296;
		} else {
			if (yych == 'q') goto yy297;
			goto yy53;
		}
	}
yy178:
	yych = *++cur;
	if (yych == 'A') goto yy298;
	if (yych == 'a') goto yy298;
	goto yy53;
yy179:
	yych = *++cur;
	if (yych == 'U') goto yy299;
	if (yych == 'u') goto yy299;
	goto yy53;
yy180:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy300;
		if (yych <= 'N') goto yy53;
		goto yy301;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy300;
		} else {
			if (yych == 'o') goto yy301;
			goto yy53;
		}
	}
yy181:
	yych = *++cur;
	if (yych == 'B') goto yy302;
	if (yych == 'b') goto yy302;
	goto yy53;
yy182:
	yych = *++cur;
	if (yych == 'R') goto yy303;
	if (yych == 'r') goto yy303;
	goto yy53;
yy183:
	yych = *++cur;
	if (yych == 'A') goto yy304;
	if (yych == 'a') goto yy304;
	goto yy53;
yy184:
	yych = *++cur;
	if (yych == 'E') goto yy305;
	if (yych == 'e') goto yy305;
	goto yy53;
yy185:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 217 "tokenizer.re"
	{ KW(TO) }
#line 1617 "tokenizer.cpp"
yy187:
	yych = *++cur;
	if (yych == 'P') goto yy306;
	if (yych == 'p') goto yy306;
	goto yy53;
yy188:
	yych = *++cur;
	if (yych == 'F') goto yy307;
	if (yych == 'f') goto yy307;
	goto yy53;
yy189:
	yych = *++cur;
	if (yych == 'E') goto yy308;
	if (yych == 'e') goto yy308;
	goto yy53;
yy190:
	yych = *++cur;
	if (yych == 'L') goto yy310;
	if (yych == 'l') goto yy310;
	goto yy53;
yy191:
	yych = *++cur;
	if (yych == 'L') goto yy311;
	if (yych == 'l') goto yy311;
	goto yy53;
yy192:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'E') goto yy312;
		if (yych <= 'H') goto yy53;
		goto yy313;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy312;
		} else {
			if (yych == 'i') goto yy313;
			goto yy53;
		}
	}
yy193:
	yych = *++cur;
	if (yych == 'I') goto yy314;
	if (yych == 'i') goto yy314;
	goto yy53;
yy194:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy76;
		if (yych <= '9') goto yy315;
		if (yych <= '@') goto yy76;
		goto yy317;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy76;
			goto yy317;
		} else {
			if (yych <= '`') goto yy76;
			if (yych <= 'z') goto yy317;
			goto yy76;
		}
	}
yy195:
	++cur;
#line 312 "tokenizer.re"
	{ token(yylval.string); RET(TK_DEF_OP) }
#line 1684 "tokenizer.cpp"
yy197:
	yych = *++cur;
	if (yych == 'd') goto yy319;
	goto yy96;
yy198:
	yych = *++cur;
	if (yych == '.') goto yy115;
	if (yych == 'v') goto yy320;
	goto yy96;
yy199:
	yych = *++cur;
	if (yych == 'l') goto yy321;
	goto yy96;
yy200:
	yych = *++cur;
	if (yych == '.') goto yy119;
	goto yy96;
yy201:
	yych = *++cur;
	if (yych == '.') goto yy322;
	goto yy96;
yy202:
	yych = *++cur;
	if (yych == '.') goto yy113;
	goto yy96;
yy203:
	yych = *++cur;
	if (yych == '.') goto yy323;
	goto yy96;
yy204:
	yych = *++cur;
	if (yych == '.') goto yy106;
	if (yych == 'q') goto yy324;
	goto yy96;
yy205:
	yych = *++cur;
	if (yych == 't') goto yy325;
	goto yy96;
yy206:
	yych = *++cur;
	if (yych == '.') goto yy326;
	goto yy96;
yy207:
	yych = *++cur;
	if (yych == 'u') goto yy328;
	goto yy96;
yy208:
	yych = *++cur;
yy209:
	if (yych == '.') goto yy329;
	if (yych <= '`') goto yy76;
	if (yych <= 'z') goto yy208;
	goto yy76;
yy210:
	yych = *++cur;
	if (yych <= ',') {
		if (yych != '+') goto yy209;
	} else {
		if (yych <= '-') goto yy211;
		if (yych <= '/') goto yy209;
		if (yych <= '9') goto yy212;
		goto yy209;
	}
yy211:
	yych = *++cur;
	if (yych <= '/') goto yy76;
	if (yych >= ':') goto yy76;
yy212:
	yyaccept = 4;
	yych = *(mar = ++cur);
	if (yych <= '/') goto yy93;
	if (yych <= '9') goto yy212;
	if (yych == '_') goto yy194;
	goto yy93;
yy214:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yych == '.') {
		ctxmar = cur;
		goto yy331;
	}
	if (yych <= '/') goto yy33;
	if (yych <= '9') goto yy214;
	goto yy33;
yy216:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 128) {
		goto yy216;
	}
	if (yych == '.') {
		ctxmar = cur;
		goto yy331;
	}
	goto yy33;
yy218:
	yych = *++cur;
	if (yych == 'T') goto yy332;
	if (yych == 't') goto yy332;
	goto yy53;
yy219:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'O') {
		if (yych <= '9') {
			if (yych >= '0') goto yy52;
		} else {
			if (yych <= '@') goto yy220;
			if (yych <= 'N') goto yy52;
			goto yy333;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy52;
			if (yych >= 'a') goto yy52;
		} else {
			if (yych <= 'o') goto yy333;
			if (yych <= 'z') goto yy52;
		}
	}
yy220:
#line 93 "tokenizer.re"
	{ KW(ALL) }
#line 1810 "tokenizer.cpp"
yy221:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'I') goto yy334;
		if (yych <= 'N') goto yy53;
		goto yy335;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy53;
			goto yy334;
		} else {
			if (yych == 'o') goto yy335;
			goto yy53;
		}
	}
yy222:
	yych = *++cur;
	if (yych == 'N') goto yy336;
	if (yych == 'n') goto yy336;
	goto yy53;
yy223:
	yych = *++cur;
	if (yych == 'K') goto yy337;
	if (yych == 'k') goto yy337;
	goto yy53;
yy224:
	yych = *++cur;
	if (yych == 'D') goto yy338;
	if (yych == 'd') goto yy338;
	goto yy53;
yy225:
	yych = *++cur;
	if (yych == 'C') goto yy340;
	if (yych == 'c') goto yy340;
	goto yy53;
yy226:
	yych = *++cur;
	if (yych == 'L') goto yy341;
	if (yych == 'l') goto yy341;
	goto yy53;
yy227:
	yych = *++cur;
	if (yych == 'E') goto yy343;
	if (yych == 'e') goto yy343;
	goto yy53;
yy228:
	yych = *++cur;
	if (yych == 'R') goto yy345;
	if (yych == 'r') goto yy345;
	goto yy53;
yy229:
	yych = *++cur;
	if (yych == 'S') goto yy346;
	if (yych == 's') goto yy346;
	goto yy53;
yy230:
	yych = *++cur;
	if (yych == 'S') goto yy347;
	if (yych == 's') goto yy347;
	goto yy53;
yy231:
	yych = *++cur;
	if (yych == 'I') goto yy348;
	if (yych == 'i') goto yy348;
	goto yy53;
yy232:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'M') goto yy349;
		if (yych <= 'O') goto yy53;
		goto yy350;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy53;
			goto yy349;
		} else {
			if (yych == 'p') goto yy350;
			goto yy53;
		}
	}
yy233:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'C') goto yy351;
		if (yych <= 'S') goto yy53;
		goto yy352;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy53;
			goto yy351;
		} else {
			if (yych == 't') goto yy352;
			goto yy53;
		}
	}
yy234:
	yych = *++cur;
	if (yych == 'T') goto yy353;
	if (yych == 't') goto yy353;
	goto yy53;
yy235:
	yych = *++cur;
	if (yych == 'L') goto yy354;
	if (yych == 'l') goto yy354;
	goto yy53;
yy236:
	yych = *++cur;
	if (yych == 'A') goto yy355;
	if (yych == 'a') goto yy355;
	goto yy53;
yy237:
	yych = *++cur;
	if (yych == 'L') goto yy357;
	if (yych == 'l') goto yy357;
	goto yy53;
yy238:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy358;
		if (yych <= 'D') goto yy53;
		goto yy359;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy358;
		} else {
			if (yych == 'e') goto yy359;
			goto yy53;
		}
	}
yy239:
	yych = *++cur;
	if (yych == 'E') goto yy360;
	if (yych == 'e') goto yy360;
	goto yy53;
yy240:
	yych = *++cur;
	if (yych == 'B') goto yy361;
	if (yych == 'b') goto yy361;
	goto yy53;
yy241:
	yych = *++cur;
	if (yych == 'H') goto yy362;
	if (yych == 'h') goto yy362;
	goto yy53;
yy242:
	yych = *++cur;
	if (yych == 'M') goto yy363;
	if (yych == 'm') goto yy363;
	goto yy53;
yy243:
	yych = *++cur;
	if (yych == 'E') goto yy364;
	if (yych == 'e') goto yy364;
	goto yy53;
yy244:
	yyaccept = 6;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'D') {
		if (yych <= '\r') {
			if (yych <= '\n') {
				if (yych == '\t') goto yy366;
			} else {
				if (yych != '\f') goto yy366;
			}
		} else {
			if (yych <= '/') {
				if (yych == ' ') goto yy366;
			} else {
				if (yych <= '9') goto yy52;
				if (yych <= '@') goto yy245;
				if (yych <= 'C') goto yy52;
				goto yy368;
			}
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'V') {
				if (yych == 'I') goto yy369;
				goto yy52;
			} else {
				if (yych <= 'W') goto yy370;
				if (yych <= 'Z') goto yy52;
				if (yych >= 'a') goto yy52;
			}
		} else {
			if (yych <= 'i') {
				if (yych <= 'd') goto yy368;
				if (yych <= 'h') goto yy52;
				goto yy369;
			} else {
				if (yych == 'w') goto yy370;
				if (yych <= 'z') goto yy52;
			}
		}
	}
yy245:
#line 126 "tokenizer.re"
	{ KW(END) }
#line 2013 "tokenizer.cpp"
yy246:
	yych = *++cur;
	if (yych == 'R') goto yy371;
	if (yych == 'r') goto yy371;
	goto yy53;
yy247:
	yych = *++cur;
	if (yych == 'M') goto yy372;
	if (yych == 'm') goto yy372;
	goto yy53;
yy248:
	yych = *++cur;
	if (yych == 'I') goto yy374;
	if (yych == 'i') goto yy374;
	goto yy53;
yy249:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'M') goto yy375;
		if (yych <= 'N') goto yy53;
		goto yy376;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy53;
			goto yy375;
		} else {
			if (yych == 'o') goto yy376;
			goto yy53;
		}
	}
yy250:
	yych = *++cur;
	if (yych == 'T') goto yy377;
	if (yych == 't') goto yy377;
	goto yy53;
yy251:
	yych = *++cur;
	if (yych == 'E') goto yy379;
	if (yych == 'e') goto yy379;
	goto yy53;
yy252:
	yych = *++cur;
	if (yych == 'E') goto yy380;
	if (yych == 'e') goto yy380;
	goto yy53;
yy253:
	yych = *++cur;
	if (yych == 'A') goto yy382;
	if (yych == 'a') goto yy382;
	goto yy53;
yy254:
	yych = *++cur;
	if (yych == 'S') goto yy383;
	if (yych == 's') goto yy383;
	goto yy53;
yy255:
	yych = *++cur;
	if (yych <= 'M') {
		if (yych == 'A') goto yy384;
		if (yych <= 'L') goto yy53;
		goto yy385;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy384;
		} else {
			if (yych == 'm') goto yy385;
			goto yy53;
		}
	}
yy256:
	yych = *++cur;
	if (yych == 'C') goto yy386;
	if (yych == 'c') goto yy386;
	goto yy53;
yy257:
	yych = *++cur;
	if (yych == 'E') goto yy387;
	if (yych == 'e') goto yy387;
	goto yy53;
yy258:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'L') goto yy388;
			goto yy53;
		} else {
			if (yych <= 'O') goto yy389;
			if (yych <= 'T') goto yy53;
			goto yy390;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'l') goto yy388;
			goto yy53;
		} else {
			if (yych <= 'o') goto yy389;
			if (yych == 'u') goto yy390;
			goto yy53;
		}
	}
yy259:
	yych = *++cur;
	if (yych == 'L') goto yy391;
	if (yych == 'l') goto yy391;
	goto yy53;
yy260:
	yych = *++cur;
	if (yych == 'U') goto yy392;
	if (yych == 'u') goto yy392;
	goto yy53;
yy261:
	yych = *++cur;
	if (yych == 'U') goto yy393;
	if (yych == 'u') goto yy393;
	goto yy53;
yy262:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'E') goto yy394;
		if (yych <= 'Q') goto yy53;
		goto yy395;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy53;
			goto yy394;
		} else {
			if (yych == 'r') goto yy395;
			goto yy53;
		}
	}
yy263:
	yych = *++cur;
	if (yych == 'D') goto yy396;
	if (yych == 'd') goto yy396;
	goto yy53;
yy264:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 165 "tokenizer.re"
	{ KW(LEN) }
#line 2158 "tokenizer.cpp"
yy266:
	yych = *++cur;
	if (yych == 'A') goto yy398;
	if (yych == 'a') goto yy398;
	goto yy53;
yy267:
	yych = *++cur;
	if (yych == 'I') goto yy399;
	if (yych == 'i') goto yy399;
	goto yy53;
yy268:
	yych = *++cur;
	if (yych == 'U') goto yy400;
	if (yych == 'u') goto yy400;
	goto yy53;
yy269:
	yych = *++cur;
	if (yych == 'D') goto yy401;
	if (yych == 'd') goto yy401;
	goto yy53;
yy270:
	yych = *++cur;
	if (yych == 'E') goto yy403;
	if (yych == 'e') goto yy403;
	goto yy53;
yy271:
	yych = *++cur;
	if (yych <= '^') {
		if (yych == 'E') goto yy405;
		goto yy53;
	} else {
		if (yych <= '_') goto yy407;
		if (yych == 'e') goto yy405;
		goto yy53;
	}
yy272:
	yych = *++cur;
	if (yych == 'A') goto yy408;
	if (yych == 'a') goto yy408;
	goto yy53;
yy273:
	yych = *++cur;
	if (yych == 'L') goto yy409;
	if (yych == 'l') goto yy409;
	goto yy53;
yy274:
	yych = *++cur;
	if (yych == 'Y') goto yy410;
	if (yych == 'y') goto yy410;
	goto yy53;
yy275:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy412;
		if (yych <= 'Q') goto yy53;
		goto yy414;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy53;
			goto yy412;
		} else {
			if (yych == 'r') goto yy414;
			goto yy53;
		}
	}
yy276:
	yych = *++cur;
	if (yych == 'I') goto yy415;
	if (yych == 'i') goto yy415;
	goto yy53;
yy277:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 183 "tokenizer.re"
	{ KW(OUT) }
#line 2237 "tokenizer.cpp"
yy279:
	yych = *++cur;
	if (yych == 'A') goto yy416;
	if (yych == 'a') goto yy416;
	goto yy53;
yy280:
	yych = *++cur;
	if (yych == 'S') goto yy417;
	if (yych == 's') goto yy417;
	goto yy53;
yy281:
	yych = *++cur;
	if (yych == 'N') goto yy419;
	if (yych == 'n') goto yy419;
	goto yy53;
yy282:
	yych = *++cur;
	if (yych == 'C') goto yy420;
	if (yych == 'c') goto yy420;
	goto yy53;
yy283:
	yych = *++cur;
	if (yych <= 'V') {
		if (yych == 'N') goto yy421;
		if (yych <= 'U') goto yy53;
		goto yy422;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy53;
			goto yy421;
		} else {
			if (yych == 'v') goto yy422;
			goto yy53;
		}
	}
yy284:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych <= 'F') {
			if (yych == 'C') goto yy423;
			goto yy53;
		} else {
			if (yych <= 'G') goto yy424;
			if (yych <= 'S') goto yy53;
			goto yy425;
		}
	} else {
		if (yych <= 'f') {
			if (yych == 'c') goto yy423;
			goto yy53;
		} else {
			if (yych <= 'g') goto yy424;
			if (yych == 't') goto yy425;
			goto yy53;
		}
	}
yy285:
	yych = *++cur;
	if (yych == 'L') goto yy426;
	if (yych == 'l') goto yy426;
	goto yy53;
yy286:
	yych = *++cur;
	if (yych == 'E') goto yy427;
	if (yych == 'e') goto yy427;
	goto yy53;
yy287:
	yych = *++cur;
	if (yych == 'E') goto yy429;
	if (yych == 'e') goto yy429;
	goto yy53;
yy288:
	yych = *++cur;
	if (yych == 'K') goto yy430;
	if (yych == 'k') goto yy430;
	goto yy53;
yy289:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy432;
		if (yych <= 'K') goto yy53;
		goto yy434;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy53;
			goto yy432;
		} else {
			if (yych == 'l') goto yy434;
			goto yy53;
		}
	}
yy290:
	yych = *++cur;
	if (yych == 'U') goto yy436;
	if (yych == 'u') goto yy436;
	goto yy53;
yy291:
	yych = *++cur;
	if (yych == 'U') goto yy437;
	if (yych == 'u') goto yy437;
	goto yy53;
yy292:
	yych = *++cur;
	if (yych == 'U') goto yy438;
	if (yych == 'u') goto yy438;
	goto yy53;
yy293:
	yych = *++cur;
	if (yych == 'U') goto yy439;
	if (yych == 'u') goto yy439;
	goto yy53;
yy294:
	yych = *++cur;
	if (yych == 'I') goto yy440;
	if (yych == 'i') goto yy440;
	goto yy53;
yy295:
	yych = *++cur;
	if (yych == 'E') goto yy441;
	if (yych == 'e') goto yy441;
	goto yy53;
yy296:
	yych = *++cur;
	if (yych == 'E') goto yy443;
	if (yych == 'e') goto yy443;
	goto yy53;
yy297:
	yych = *++cur;
	if (yych == 'U') goto yy444;
	if (yych == 'u') goto yy444;
	goto yy53;
yy298:
	yych = *++cur;
	if (yych == 'R') goto yy445;
	if (yych == 'r') goto yy445;
	goto yy53;
yy299:
	yych = *++cur;
	if (yych == 'R') goto yy446;
	if (yych == 'r') goto yy446;
	goto yy53;
yy300:
	yych = *++cur;
	if (yych == 'T') goto yy447;
	if (yych == 't') goto yy447;
	goto yy53;
yy301:
	yych = *++cur;
	if (yych == 'P') goto yy449;
	if (yych == 'p') goto yy449;
	goto yy53;
yy302:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'M') goto yy451;
		if (yych <= 'Q') goto yy53;
		goto yy452;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy53;
			goto yy451;
		} else {
			if (yych == 'r') goto yy452;
			goto yy53;
		}
	}
yy303:
	yych = *++cur;
	if (yych == 'G') goto yy453;
	if (yych == 'g') goto yy453;
	goto yy53;
yy304:
	yych = *++cur;
	if (yych == 'M') goto yy454;
	if (yych == 'm') goto yy454;
	goto yy53;
yy305:
	yych = *++cur;
	if (yych == 'N') goto yy456;
	if (yych == 'n') goto yy456;
	goto yy53;
yy306:
	yych = *++cur;
	if (yych == 'E') goto yy458;
	if (yych == 'e') goto yy458;
	goto yy53;
yy307:
	yych = *++cur;
	if (yych == 'O') goto yy460;
	if (yych == 'o') goto yy460;
	goto yy53;
yy308:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 220 "tokenizer.re"
	{ KW(USE) }
#line 2437 "tokenizer.cpp"
yy310:
	yych = *++cur;
	if (yych == 'U') goto yy461;
	if (yych == 'u') goto yy461;
	goto yy53;
yy311:
	yych = *++cur;
	if (yych == 'A') goto yy462;
	if (yych == 'a') goto yy462;
	goto yy53;
yy312:
	yych = *++cur;
	if (yych == 'R') goto yy463;
	if (yych == 'r') goto yy463;
	goto yy53;
yy313:
	yych = *++cur;
	if (yych == 'L') goto yy464;
	if (yych == 'l') goto yy464;
	goto yy53;
yy314:
	yych = *++cur;
	if (yych == 'T') goto yy465;
	if (yych == 't') goto yy465;
	goto yy53;
yy315:
	yych = *++cur;
	if (yych <= '/') goto yy93;
	if (yych <= '9') goto yy315;
	goto yy93;
yy317:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy93;
		if (yych <= '9') goto yy317;
		if (yych <= '@') goto yy93;
		goto yy317;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy93;
			goto yy317;
		} else {
			if (yych <= '`') goto yy93;
			if (yych <= 'z') goto yy317;
			goto yy93;
		}
	}
yy319:
	yych = *++cur;
	if (yych == '.') goto yy466;
	goto yy96;
yy320:
	yych = *++cur;
	if (yych == '.') goto yy468;
	goto yy96;
yy321:
	yych = *++cur;
	if (yych == 's') goto yy470;
	goto yy96;
yy322:
	++cur;
	goto yy43;
yy323:
	++cur;
	goto yy39;
yy324:
	yych = *++cur;
	if (yych == 'v') goto yy471;
	goto yy96;
yy325:
	yych = *++cur;
	if (yych == '.') goto yy472;
	goto yy96;
yy326:
	++cur;
#line 267 "tokenizer.re"
	{ RET(TK_OR) }
#line 2515 "tokenizer.cpp"
yy328:
	yych = *++cur;
	if (yych == 'e') goto yy474;
	goto yy96;
yy329:
	++cur;
	cur = ctxmar;
#line 281 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 2535 "tokenizer.cpp"
yy331:
	yych = *++cur;
	if (yych <= '`') goto yy76;
	if (yych <= 'z') goto yy208;
	goto yy76;
yy332:
	yych = *++cur;
	if (yych == 'R') goto yy475;
	if (yych == 'r') goto yy475;
	goto yy53;
yy333:
	yych = *++cur;
	if (yych == 'C') goto yy476;
	if (yych == 'c') goto yy476;
	goto yy53;
yy334:
	yych = *++cur;
	if (yych == 'G') goto yy477;
	if (yych == 'g') goto yy477;
	goto yy53;
yy335:
	yych = *++cur;
	if (yych == 'C') goto yy478;
	if (yych == 'c') goto yy478;
	goto yy53;
yy336:
	yych = *++cur;
	if (yych == 'C') goto yy479;
	if (yych == 'c') goto yy479;
	goto yy53;
yy337:
	yych = *++cur;
	if (yych == 'S') goto yy480;
	if (yych == 's') goto yy480;
	goto yy53;
yy338:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 100 "tokenizer.re"
	{ KW(BIND) }
#line 2579 "tokenizer.cpp"
yy340:
	yych = *++cur;
	if (yych == 'K') goto yy481;
	if (yych == 'k') goto yy481;
	goto yy53;
yy341:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 102 "tokenizer.re"
	{ KW(CALL) }
#line 2593 "tokenizer.cpp"
yy343:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 103 "tokenizer.re"
	{ KW(CASE) }
#line 2602 "tokenizer.cpp"
yy345:
	yych = *++cur;
	if (yych == 'A') goto yy483;
	if (yych == 'a') goto yy483;
	goto yy53;
yy346:
	yych = *++cur;
	if (yych == 'S') goto yy484;
	if (yych == 's') goto yy484;
	goto yy53;
yy347:
	yych = *++cur;
	if (yych == 'E') goto yy486;
	if (yych == 'e') goto yy486;
	goto yy53;
yy348:
	yych = *++cur;
	if (yych == 'M') goto yy488;
	if (yych == 'm') goto yy488;
	goto yy53;
yy349:
	yych = *++cur;
	if (yych == 'O') goto yy489;
	if (yych == 'o') goto yy489;
	goto yy53;
yy350:
	yych = *++cur;
	if (yych == 'L') goto yy490;
	if (yych == 'l') goto yy490;
	goto yy53;
yy351:
	yych = *++cur;
	if (yych == 'U') goto yy491;
	if (yych == 'u') goto yy491;
	goto yy53;
yy352:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'A') goto yy492;
		if (yych <= 'H') goto yy53;
		goto yy493;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy492;
		} else {
			if (yych == 'i') goto yy493;
			goto yy53;
		}
	}
yy353:
	yych = *++cur;
	if (yych == 'I') goto yy494;
	if (yych == 'i') goto yy494;
	goto yy53;
yy354:
	yych = *++cur;
	if (yych == 'E') goto yy495;
	if (yych == 'e') goto yy495;
	goto yy53;
yy355:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 116 "tokenizer.re"
	{ KW(DATA) }
#line 2671 "tokenizer.cpp"
yy357:
	yych = *++cur;
	if (yych == 'L') goto yy497;
	if (yych == 'l') goto yy497;
	goto yy53;
yy358:
	yych = *++cur;
	if (yych == 'U') goto yy498;
	if (yych == 'u') goto yy498;
	goto yy53;
yy359:
	yych = *++cur;
	if (yych == 'R') goto yy499;
	if (yych == 'r') goto yy499;
	goto yy53;
yy360:
	yych = *++cur;
	if (yych == 'N') goto yy500;
	if (yych == 'n') goto yy500;
	goto yy53;
yy361:
	yych = *++cur;
	if (yych == 'L') goto yy501;
	if (yych == 'l') goto yy501;
	goto yy53;
yy362:
	yych = *++cur;
	if (yych == 'I') goto yy502;
	if (yych == 'i') goto yy502;
	goto yy53;
yy363:
	yych = *++cur;
	if (yych == 'E') goto yy503;
	if (yych == 'e') goto yy503;
	goto yy53;
yy364:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 125 "tokenizer.re"
	{ KW(ELSE) }
#line 2715 "tokenizer.cpp"
yy366:
	yych = *++cur;
	if (yych <= 'D') {
		if (yych <= '\f') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy76;
				goto yy366;
			} else {
				if (yych == '\v') goto yy366;
				goto yy76;
			}
		} else {
			if (yych <= 0x1F) {
				if (yych <= '\r') goto yy366;
				goto yy76;
			} else {
				if (yych <= ' ') goto yy366;
				if (yych <= 'C') goto yy76;
				goto yy504;
			}
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'I') {
				if (yych <= 'H') goto yy76;
				goto yy505;
			} else {
				if (yych == 'W') goto yy506;
				goto yy76;
			}
		} else {
			if (yych <= 'i') {
				if (yych <= 'd') goto yy504;
				if (yych <= 'h') goto yy76;
				goto yy505;
			} else {
				if (yych == 'w') goto yy506;
				goto yy76;
			}
		}
	}
yy368:
	yych = *++cur;
	if (yych == 'O') goto yy507;
	if (yych == 'o') goto yy507;
	goto yy53;
yy369:
	yych = *++cur;
	if (yych == 'F') goto yy509;
	if (yych == 'f') goto yy509;
	goto yy53;
yy370:
	yych = *++cur;
	if (yych == 'H') goto yy511;
	if (yych == 'h') goto yy511;
	goto yy53;
yy371:
	yych = *++cur;
	if (yych == 'Y') goto yy512;
	if (yych == 'y') goto yy512;
	goto yy53;
yy372:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'E') {
		if (yych <= '9') {
			if (yych >= '0') goto yy52;
		} else {
			if (yych <= '@') goto yy373;
			if (yych <= 'D') goto yy52;
			goto yy514;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy52;
			if (yych >= 'a') goto yy52;
		} else {
			if (yych <= 'e') goto yy514;
			if (yych <= 'z') goto yy52;
		}
	}
yy373:
#line 134 "tokenizer.re"
	{ KW(ENUM) }
#line 2802 "tokenizer.cpp"
yy374:
	yych = *++cur;
	if (yych == 'V') goto yy515;
	if (yych == 'v') goto yy515;
	goto yy53;
yy375:
	yych = *++cur;
	if (yych == 'S') goto yy516;
	if (yych == 's') goto yy516;
	goto yy53;
yy376:
	yych = *++cur;
	if (yych == 'R') goto yy517;
	if (yych == 'r') goto yy517;
	goto yy53;
yy377:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 139 "tokenizer.re"
	{ KW(EXIT) }
#line 2826 "tokenizer.cpp"
yy379:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy519;
		if (yych <= 'Q') goto yy53;
		goto yy520;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy53;
			goto yy519;
		} else {
			if (yych == 'r') goto yy520;
			goto yy53;
		}
	}
yy380:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 142 "tokenizer.re"
	{ KW(FILE) }
#line 2850 "tokenizer.cpp"
yy382:
	yych = *++cur;
	if (yych == 'L') goto yy521;
	if (yych == 'l') goto yy521;
	goto yy53;
yy383:
	yych = *++cur;
	if (yych == 'H') goto yy523;
	if (yych == 'h') goto yy523;
	goto yy53;
yy384:
	yych = *++cur;
	if (yych == 'L') goto yy525;
	if (yych == 'l') goto yy525;
	goto yy53;
yy385:
	yych = *++cur;
	if (yych == 'A') goto yy526;
	if (yych == 'a') goto yy526;
	goto yy53;
yy386:
	yych = *++cur;
	if (yych == 'T') goto yy527;
	if (yych == 't') goto yy527;
	goto yy53;
yy387:
	yych = *++cur;
	if (yych == 'R') goto yy528;
	if (yych == 'r') goto yy528;
	goto yy53;
yy388:
	yych = *++cur;
	if (yych == 'I') goto yy529;
	if (yych == 'i') goto yy529;
	goto yy53;
yy389:
	yych = *++cur;
	if (yych == 'R') goto yy530;
	if (yych == 'r') goto yy530;
	goto yy53;
yy390:
	yych = *++cur;
	if (yych == 'R') goto yy531;
	if (yych == 'r') goto yy531;
	goto yy53;
yy391:
	yych = *++cur;
	if (yych == 'U') goto yy532;
	if (yych == 'u') goto yy532;
	goto yy53;
yy392:
	yych = *++cur;
	if (yych == 'T') goto yy533;
	if (yych == 't') goto yy533;
	goto yy53;
yy393:
	yych = *++cur;
	if (yych == 'I') goto yy535;
	if (yych == 'i') goto yy535;
	goto yy53;
yy394:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych <= 'M') {
			if (yych == 'G') goto yy536;
			goto yy53;
		} else {
			if (yych <= 'N') goto yy537;
			if (yych <= 'Q') goto yy53;
			goto yy538;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'g') goto yy536;
			goto yy53;
		} else {
			if (yych <= 'n') goto yy537;
			if (yych == 'r') goto yy538;
			goto yy53;
		}
	}
yy395:
	yych = *++cur;
	if (yych == 'I') goto yy539;
	if (yych == 'i') goto yy539;
	goto yy53;
yy396:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 164 "tokenizer.re"
	{ KW(KIND) }
#line 2945 "tokenizer.cpp"
yy398:
	yych = *++cur;
	if (yych == 'L') goto yy540;
	if (yych == 'l') goto yy540;
	goto yy53;
yy399:
	yych = *++cur;
	if (yych == 'C') goto yy542;
	if (yych == 'c') goto yy542;
	goto yy53;
yy400:
	yych = *++cur;
	if (yych == 'L') goto yy543;
	if (yych == 'l') goto yy543;
	goto yy53;
yy401:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 170 "tokenizer.re"
	{ KW(MOLD) }
#line 2969 "tokenizer.cpp"
yy403:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'L') {
		if (yych <= '9') {
			if (yych >= '0') goto yy52;
		} else {
			if (yych <= '@') goto yy404;
			if (yych <= 'K') goto yy52;
			goto yy544;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'Z') goto yy52;
			if (yych >= 'a') goto yy52;
		} else {
			if (yych <= 'l') goto yy544;
			if (yych <= 'z') goto yy52;
		}
	}
yy404:
#line 171 "tokenizer.re"
	{ KW(NAME) }
#line 2995 "tokenizer.cpp"
yy405:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 177 "tokenizer.re"
	{ KW(NONE) }
#line 3004 "tokenizer.cpp"
yy407:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= 'O') {
		if (yych <= '\'') {
			if (yych == '"') goto yy79;
			if (yych <= '&') goto yy53;
			goto yy83;
		} else {
			if (yych == 'I') goto yy545;
			if (yych <= 'N') goto yy53;
			goto yy546;
		}
	} else {
		if (yych <= 'i') {
			if (yych == 'R') goto yy547;
			if (yych <= 'h') goto yy53;
			goto yy545;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy53;
				goto yy546;
			} else {
				if (yych == 'r') goto yy547;
				goto yy53;
			}
		}
	}
yy408:
	yych = *++cur;
	if (yych == 'S') goto yy548;
	if (yych == 's') goto yy548;
	goto yy53;
yy409:
	yych = *++cur;
	if (yych == 'I') goto yy549;
	if (yych == 'i') goto yy549;
	goto yy53;
yy410:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 179 "tokenizer.re"
	{ KW(ONLY) }
#line 3051 "tokenizer.cpp"
yy412:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 180 "tokenizer.re"
	{ KW(OPEN) }
#line 3060 "tokenizer.cpp"
yy414:
	yych = *++cur;
	if (yych == 'A') goto yy550;
	if (yych == 'a') goto yy550;
	goto yy53;
yy415:
	yych = *++cur;
	if (yych == 'O') goto yy551;
	if (yych == 'o') goto yy551;
	goto yy53;
yy416:
	yych = *++cur;
	if (yych == 'M') goto yy552;
	if (yych == 'm') goto yy552;
	goto yy53;
yy417:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 185 "tokenizer.re"
	{ KW(PASS) }
#line 3084 "tokenizer.cpp"
yy419:
	yych = *++cur;
	if (yych == 'T') goto yy553;
	if (yych == 't') goto yy553;
	goto yy53;
yy420:
	yych = *++cur;
	if (yych == 'I') goto yy554;
	if (yych == 'i') goto yy554;
	goto yy53;
yy421:
	yych = *++cur;
	if (yych == 'T') goto yy555;
	if (yych == 't') goto yy555;
	goto yy53;
yy422:
	yych = *++cur;
	if (yych == 'A') goto yy557;
	if (yych == 'a') goto yy557;
	goto yy53;
yy423:
	yych = *++cur;
	if (yych == 'E') goto yy558;
	if (yych == 'e') goto yy558;
	goto yy53;
yy424:
	yych = *++cur;
	if (yych == 'R') goto yy559;
	if (yych == 'r') goto yy559;
	goto yy53;
yy425:
	yych = *++cur;
	if (yych == 'E') goto yy560;
	if (yych == 'e') goto yy560;
	goto yy53;
yy426:
	yych = *++cur;
	if (yych == 'I') goto yy561;
	if (yych == 'i') goto yy561;
	goto yy53;
yy427:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 194 "tokenizer.re"
	{ KW(PURE) }
#line 3133 "tokenizer.cpp"
yy429:
	yych = *++cur;
	if (yych == 'T') goto yy562;
	if (yych == 't') goto yy562;
	goto yy53;
yy430:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 196 "tokenizer.re"
	{ KW(RANK) }
#line 3147 "tokenizer.cpp"
yy432:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 197 "tokenizer.re"
	{ KW(READ) }
#line 3156 "tokenizer.cpp"
yy434:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 198 "tokenizer.re"
	{KW(REAL) }
#line 3165 "tokenizer.cpp"
yy436:
	yych = *++cur;
	if (yych == 'R') goto yy564;
	if (yych == 'r') goto yy564;
	goto yy53;
yy437:
	yych = *++cur;
	if (yych == 'C') goto yy565;
	if (yych == 'c') goto yy565;
	goto yy53;
yy438:
	yych = *++cur;
	if (yych == 'L') goto yy566;
	if (yych == 'l') goto yy566;
	goto yy53;
yy439:
	yych = *++cur;
	if (yych == 'R') goto yy567;
	if (yych == 'r') goto yy567;
	goto yy53;
yy440:
	yych = *++cur;
	if (yych == 'N') goto yy568;
	if (yych == 'n') goto yy568;
	goto yy53;
yy441:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 204 "tokenizer.re"
	{ KW(SAVE) }
#line 3199 "tokenizer.cpp"
yy443:
	yych = *++cur;
	if (yych == 'C') goto yy569;
	if (yych == 'c') goto yy569;
	goto yy53;
yy444:
	yych = *++cur;
	if (yych == 'E') goto yy570;
	if (yych == 'e') goto yy570;
	goto yy53;
yy445:
	yych = *++cur;
	if (yych == 'E') goto yy571;
	if (yych == 'e') goto yy571;
	goto yy53;
yy446:
	yych = *++cur;
	if (yych == 'C') goto yy572;
	if (yych == 'c') goto yy572;
	goto yy53;
yy447:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 209 "tokenizer.re"
	{ KW(STAT) }
#line 3228 "tokenizer.cpp"
yy449:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 210 "tokenizer.re"
	{ KW(STOP) }
#line 3237 "tokenizer.cpp"
yy451:
	yych = *++cur;
	if (yych == 'O') goto yy573;
	if (yych == 'o') goto yy573;
	goto yy53;
yy452:
	yych = *++cur;
	if (yych == 'O') goto yy574;
	if (yych == 'o') goto yy574;
	goto yy53;
yy453:
	yych = *++cur;
	if (yych == 'E') goto yy575;
	if (yych == 'e') goto yy575;
	goto yy53;
yy454:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy576;
#line 214 "tokenizer.re"
	{ KW(TEAM) }
#line 3261 "tokenizer.cpp"
yy456:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 216 "tokenizer.re"
	{ KW(THEN) }
#line 3270 "tokenizer.cpp"
yy458:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 218 "tokenizer.re"
	{ KW(TYPE) }
#line 3279 "tokenizer.cpp"
yy460:
	yych = *++cur;
	if (yych == 'R') goto yy577;
	if (yych == 'r') goto yy577;
	goto yy53;
yy461:
	yych = *++cur;
	if (yych == 'E') goto yy578;
	if (yych == 'e') goto yy578;
	goto yy53;
yy462:
	yych = *++cur;
	if (yych == 'T') goto yy580;
	if (yych == 't') goto yy580;
	goto yy53;
yy463:
	yych = *++cur;
	if (yych == 'E') goto yy581;
	if (yych == 'e') goto yy581;
	goto yy53;
yy464:
	yych = *++cur;
	if (yych == 'E') goto yy583;
	if (yych == 'e') goto yy583;
	goto yy53;
yy465:
	yych = *++cur;
	if (yych == 'E') goto yy585;
	if (yych == 'e') goto yy585;
	goto yy53;
yy466:
	++cur;
#line 266 "tokenizer.re"
	{ RET(TK_AND) }
#line 3314 "tokenizer.cpp"
yy468:
	++cur;
#line 268 "tokenizer.re"
	{ RET(TK_EQV) }
#line 3319 "tokenizer.cpp"
yy470:
	yych = *++cur;
	if (yych == 'e') goto yy587;
	goto yy96;
yy471:
	yych = *++cur;
	if (yych == '.') goto yy588;
	goto yy96;
yy472:
	++cur;
#line 265 "tokenizer.re"
	{ RET(TK_NOT) }
#line 3332 "tokenizer.cpp"
yy474:
	yych = *++cur;
	if (yych == '.') goto yy590;
	goto yy96;
yy475:
	yych = *++cur;
	if (yych == 'A') goto yy592;
	if (yych == 'a') goto yy592;
	goto yy53;
yy476:
	yych = *++cur;
	if (yych == 'A') goto yy593;
	if (yych == 'a') goto yy593;
	goto yy53;
yy477:
	yych = *++cur;
	if (yych == 'N') goto yy594;
	if (yych == 'n') goto yy594;
	goto yy53;
yy478:
	yych = *++cur;
	if (yych == 'I') goto yy595;
	if (yych == 'i') goto yy595;
	goto yy53;
yy479:
	yych = *++cur;
	if (yych == 'H') goto yy596;
	if (yych == 'h') goto yy596;
	goto yy53;
yy480:
	yych = *++cur;
	if (yych == 'P') goto yy597;
	if (yych == 'p') goto yy597;
	goto yy53;
yy481:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 101 "tokenizer.re"
	{ KW(BLOCK) }
#line 3375 "tokenizer.cpp"
yy483:
	yych = *++cur;
	if (yych == 'C') goto yy598;
	if (yych == 'c') goto yy598;
	goto yy53;
yy484:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 105 "tokenizer.re"
	{ KW(CLASS) }
#line 3389 "tokenizer.cpp"
yy486:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 106 "tokenizer.re"
	{ KW(CLOSE) }
#line 3398 "tokenizer.cpp"
yy488:
	yych = *++cur;
	if (yych == 'E') goto yy599;
	if (yych == 'e') goto yy599;
	goto yy53;
yy489:
	yych = *++cur;
	if (yych == 'N') goto yy600;
	if (yych == 'n') goto yy600;
	goto yy53;
yy490:
	yych = *++cur;
	if (yych == 'E') goto yy602;
	if (yych == 'e') goto yy602;
	goto yy53;
yy491:
	yych = *++cur;
	if (yych == 'R') goto yy603;
	if (yych == 'r') goto yy603;
	goto yy53;
yy492:
	yych = *++cur;
	if (yych == 'I') goto yy604;
	if (yych == 'i') goto yy604;
	goto yy53;
yy493:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'G') goto yy605;
		if (yych <= 'M') goto yy53;
		goto yy606;
	} else {
		if (yych <= 'g') {
			if (yych <= 'f') goto yy53;
			goto yy605;
		} else {
			if (yych == 'n') goto yy606;
			goto yy53;
		}
	}
yy494:
	yych = *++cur;
	if (yych == 'C') goto yy607;
	if (yych == 'c') goto yy607;
	goto yy53;
yy495:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 115 "tokenizer.re"
	{ KW(CYCLE) }
#line 3452 "tokenizer.cpp"
yy497:
	yych = *++cur;
	if (yych == 'O') goto yy608;
	if (yych == 'o') goto yy608;
	goto yy53;
yy498:
	yych = *++cur;
	if (yych == 'L') goto yy609;
	if (yych == 'l') goto yy609;
	goto yy53;
yy499:
	yych = *++cur;
	if (yych == 'R') goto yy610;
	if (yych == 'r') goto yy610;
	goto yy53;
yy500:
	yych = *++cur;
	if (yych == 'S') goto yy611;
	if (yych == 's') goto yy611;
	goto yy53;
yy501:
	yych = *++cur;
	if (yych == 'E') goto yy612;
	if (yych == 'e') goto yy612;
	goto yy53;
yy502:
	yych = *++cur;
	if (yych == 'L') goto yy614;
	if (yych == 'l') goto yy614;
	goto yy53;
yy503:
	yych = *++cur;
	if (yych == 'N') goto yy615;
	if (yych == 'n') goto yy615;
	goto yy53;
yy504:
	yych = *++cur;
	if (yych == 'O') goto yy616;
	if (yych == 'o') goto yy616;
	goto yy76;
yy505:
	yych = *++cur;
	if (yych == 'F') goto yy618;
	if (yych == 'f') goto yy618;
	goto yy76;
yy506:
	yych = *++cur;
	if (yych == 'H') goto yy620;
	if (yych == 'h') goto yy620;
	goto yy76;
yy507:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 130 "tokenizer.re"
	{ KW(ENDDO) }
#line 3511 "tokenizer.cpp"
yy509:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 128 "tokenizer.re"
	{ KW(ENDIF) }
#line 3520 "tokenizer.cpp"
yy511:
	yych = *++cur;
	if (yych == 'E') goto yy621;
	if (yych == 'e') goto yy621;
	goto yy53;
yy512:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 133 "tokenizer.re"
	{ KW(ENTRY) }
#line 3534 "tokenizer.cpp"
yy514:
	yych = *++cur;
	if (yych == 'R') goto yy622;
	if (yych == 'r') goto yy622;
	goto yy53;
yy515:
	yych = *++cur;
	if (yych == 'A') goto yy623;
	if (yych == 'a') goto yy623;
	goto yy53;
yy516:
	yych = *++cur;
	if (yych == 'G') goto yy624;
	if (yych == 'g') goto yy624;
	goto yy53;
yy517:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 138 "tokenizer.re"
	{ KW(ERROR) }
#line 3558 "tokenizer.cpp"
yy519:
	yych = *++cur;
	if (yych == 'D') goto yy626;
	if (yych == 'd') goto yy626;
	goto yy53;
yy520:
	yych = *++cur;
	if (yych == 'N') goto yy627;
	if (yych == 'n') goto yy627;
	goto yy53;
yy521:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 143 "tokenizer.re"
	{ KW(FINAL) }
#line 3577 "tokenizer.cpp"
yy523:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 144 "tokenizer.re"
	{ KW(FLUSH) }
#line 3586 "tokenizer.cpp"
yy525:
	yych = *++cur;
	if (yych == 'L') goto yy628;
	if (yych == 'l') goto yy628;
	goto yy53;
yy526:
	yych = *++cur;
	if (yych == 'T') goto yy630;
	if (yych == 't') goto yy630;
	goto yy53;
yy527:
	yych = *++cur;
	if (yych == 'I') goto yy632;
	if (yych == 'i') goto yy632;
	goto yy53;
yy528:
	yych = *++cur;
	if (yych == 'I') goto yy633;
	if (yych == 'i') goto yy633;
	goto yy53;
yy529:
	yych = *++cur;
	if (yych == 'C') goto yy634;
	if (yych == 'c') goto yy634;
	goto yy53;
yy530:
	yych = *++cur;
	if (yych == 'T') goto yy635;
	if (yych == 't') goto yy635;
	goto yy53;
yy531:
	yych = *++cur;
	if (yych == 'E') goto yy637;
	if (yych == 'e') goto yy637;
	goto yy53;
yy532:
	yych = *++cur;
	if (yych == 'D') goto yy639;
	if (yych == 'd') goto yy639;
	goto yy53;
yy533:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 157 "tokenizer.re"
	{ KW(INOUT) }
#line 3635 "tokenizer.cpp"
yy535:
	yych = *++cur;
	if (yych == 'R') goto yy640;
	if (yych == 'r') goto yy640;
	goto yy53;
yy536:
	yych = *++cur;
	if (yych == 'E') goto yy641;
	if (yych == 'e') goto yy641;
	goto yy53;
yy537:
	yych = *++cur;
	if (yych == 'T') goto yy642;
	if (yych == 't') goto yy642;
	goto yy53;
yy538:
	yych = *++cur;
	if (yych == 'F') goto yy644;
	if (yych == 'f') goto yy644;
	goto yy53;
yy539:
	yych = *++cur;
	if (yych == 'N') goto yy645;
	if (yych == 'n') goto yy645;
	goto yy53;
yy540:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy646;
#line 166 "tokenizer.re"
	{ KW(LOCAL) }
#line 3669 "tokenizer.cpp"
yy542:
	yych = *++cur;
	if (yych == 'A') goto yy647;
	if (yych == 'a') goto yy647;
	goto yy53;
yy543:
	yych = *++cur;
	if (yych == 'E') goto yy648;
	if (yych == 'e') goto yy648;
	goto yy53;
yy544:
	yych = *++cur;
	if (yych == 'I') goto yy650;
	if (yych == 'i') goto yy650;
	goto yy53;
yy545:
	yych = *++cur;
	if (yych == 'N') goto yy651;
	if (yych == 'n') goto yy651;
	goto yy53;
yy546:
	yych = *++cur;
	if (yych == 'V') goto yy652;
	if (yych == 'v') goto yy652;
	goto yy53;
yy547:
	yych = *++cur;
	if (yych == 'E') goto yy653;
	if (yych == 'e') goto yy653;
	goto yy53;
yy548:
	yych = *++cur;
	if (yych == 'S') goto yy654;
	if (yych == 's') goto yy654;
	goto yy53;
yy549:
	yych = *++cur;
	if (yych == 'F') goto yy656;
	if (yych == 'f') goto yy656;
	goto yy53;
yy550:
	yych = *++cur;
	if (yych == 'T') goto yy657;
	if (yych == 't') goto yy657;
	goto yy53;
yy551:
	yych = *++cur;
	if (yych == 'N') goto yy658;
	if (yych == 'n') goto yy658;
	goto yy53;
yy552:
	yych = *++cur;
	if (yych == 'E') goto yy659;
	if (yych == 'e') goto yy659;
	goto yy53;
yy553:
	yych = *++cur;
	if (yych == 'E') goto yy660;
	if (yych == 'e') goto yy660;
	goto yy53;
yy554:
	yych = *++cur;
	if (yych == 'S') goto yy661;
	if (yych == 's') goto yy661;
	goto yy53;
yy555:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 188 "tokenizer.re"
	{ KW(PRINT) }
#line 3743 "tokenizer.cpp"
yy557:
	yych = *++cur;
	if (yych == 'T') goto yy662;
	if (yych == 't') goto yy662;
	goto yy53;
yy558:
	yych = *++cur;
	if (yych == 'D') goto yy663;
	if (yych == 'd') goto yy663;
	goto yy53;
yy559:
	yych = *++cur;
	if (yych == 'A') goto yy664;
	if (yych == 'a') goto yy664;
	goto yy53;
yy560:
	yych = *++cur;
	if (yych == 'C') goto yy665;
	if (yych == 'c') goto yy665;
	goto yy53;
yy561:
	yych = *++cur;
	if (yych == 'C') goto yy666;
	if (yych == 'c') goto yy666;
	goto yy53;
yy562:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 195 "tokenizer.re"
	{ KW(QUIET) }
#line 3777 "tokenizer.cpp"
yy564:
	yych = *++cur;
	if (yych == 'S') goto yy668;
	if (yych == 's') goto yy668;
	goto yy53;
yy565:
	yych = *++cur;
	if (yych == 'E') goto yy669;
	if (yych == 'e') goto yy669;
	goto yy53;
yy566:
	yych = *++cur;
	if (yych == 'T') goto yy671;
	if (yych == 't') goto yy671;
	goto yy53;
yy567:
	yych = *++cur;
	if (yych == 'N') goto yy673;
	if (yych == 'n') goto yy673;
	goto yy53;
yy568:
	yych = *++cur;
	if (yych == 'D') goto yy675;
	if (yych == 'd') goto yy675;
	goto yy53;
yy569:
	yych = *++cur;
	if (yych == 'T') goto yy677;
	if (yych == 't') goto yy677;
	goto yy53;
yy570:
	yych = *++cur;
	if (yych == 'N') goto yy679;
	if (yych == 'n') goto yy679;
	goto yy53;
yy571:
	yych = *++cur;
	if (yych == 'D') goto yy680;
	if (yych == 'd') goto yy680;
	goto yy53;
yy572:
	yych = *++cur;
	if (yych == 'E') goto yy682;
	if (yych == 'e') goto yy682;
	goto yy53;
yy573:
	yych = *++cur;
	if (yych == 'D') goto yy684;
	if (yych == 'd') goto yy684;
	goto yy53;
yy574:
	yych = *++cur;
	if (yych == 'U') goto yy685;
	if (yych == 'u') goto yy685;
	goto yy53;
yy575:
	yych = *++cur;
	if (yych == 'T') goto yy686;
	if (yych == 't') goto yy686;
	goto yy53;
yy576:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy79;
		if (yych <= '&') goto yy53;
		goto yy83;
	} else {
		if (yych <= 'N') {
			if (yych <= 'M') goto yy53;
			goto yy688;
		} else {
			if (yych == 'n') goto yy688;
			goto yy53;
		}
	}
yy577:
	yych = *++cur;
	if (yych == 'M') goto yy689;
	if (yych == 'm') goto yy689;
	goto yy53;
yy578:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 221 "tokenizer.re"
	{ KW(VALUE) }
#line 3867 "tokenizer.cpp"
yy580:
	yych = *++cur;
	if (yych == 'I') goto yy690;
	if (yych == 'i') goto yy690;
	goto yy53;
yy581:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 223 "tokenizer.re"
	{ KW(WHERE) }
#line 3881 "tokenizer.cpp"
yy583:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 224 "tokenizer.re"
	{ KW(WHILE) }
#line 3890 "tokenizer.cpp"
yy585:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 225 "tokenizer.re"
	{ KW(WRITE) }
#line 3899 "tokenizer.cpp"
yy587:
	yych = *++cur;
	if (yych == '.') goto yy691;
	goto yy96;
yy588:
	++cur;
#line 269 "tokenizer.re"
	{ RET(TK_NEQV) }
#line 3908 "tokenizer.cpp"
yy590:
	yyaccept = 7;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy693;
yy591:
#line 273 "tokenizer.re"
	{ RET(TK_TRUE) }
#line 3916 "tokenizer.cpp"
yy592:
	yych = *++cur;
	if (yych == 'C') goto yy694;
	if (yych == 'c') goto yy694;
	goto yy53;
yy593:
	yych = *++cur;
	if (yych == 'T') goto yy695;
	if (yych == 't') goto yy695;
	goto yy53;
yy594:
	yych = *++cur;
	if (yych == 'M') goto yy696;
	if (yych == 'm') goto yy696;
	goto yy53;
yy595:
	yych = *++cur;
	if (yych == 'A') goto yy697;
	if (yych == 'a') goto yy697;
	goto yy53;
yy596:
	yych = *++cur;
	if (yych == 'R') goto yy698;
	if (yych == 'r') goto yy698;
	goto yy53;
yy597:
	yych = *++cur;
	if (yych == 'A') goto yy699;
	if (yych == 'a') goto yy699;
	goto yy53;
yy598:
	yych = *++cur;
	if (yych == 'T') goto yy700;
	if (yych == 't') goto yy700;
	goto yy53;
yy599:
	yych = *++cur;
	if (yych == 'N') goto yy701;
	if (yych == 'n') goto yy701;
	goto yy53;
yy600:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 108 "tokenizer.re"
	{ KW(COMMON) }
#line 3965 "tokenizer.cpp"
yy602:
	yych = *++cur;
	if (yych == 'X') goto yy702;
	if (yych == 'x') goto yy702;
	goto yy53;
yy603:
	yych = *++cur;
	if (yych == 'R') goto yy704;
	if (yych == 'r') goto yy704;
	goto yy53;
yy604:
	yych = *++cur;
	if (yych == 'N') goto yy705;
	if (yych == 'n') goto yy705;
	goto yy53;
yy605:
	yych = *++cur;
	if (yych == 'U') goto yy706;
	if (yych == 'u') goto yy706;
	goto yy53;
yy606:
	yych = *++cur;
	if (yych == 'U') goto yy707;
	if (yych == 'u') goto yy707;
	goto yy53;
yy607:
	yych = *++cur;
	if (yych == 'A') goto yy708;
	if (yych == 'a') goto yy708;
	goto yy53;
yy608:
	yych = *++cur;
	if (yych == 'C') goto yy709;
	if (yych == 'c') goto yy709;
	goto yy53;
yy609:
	yych = *++cur;
	if (yych == 'T') goto yy710;
	if (yych == 't') goto yy710;
	goto yy53;
yy610:
	yych = *++cur;
	if (yych == 'E') goto yy712;
	if (yych == 'e') goto yy712;
	goto yy53;
yy611:
	yych = *++cur;
	if (yych == 'I') goto yy713;
	if (yych == 'i') goto yy713;
	goto yy53;
yy612:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 123 "tokenizer.re"
	{ KW(DOUBLE) }
#line 4024 "tokenizer.cpp"
yy614:
	yych = *++cur;
	if (yych == 'E') goto yy714;
	if (yych == 'e') goto yy714;
	goto yy53;
yy615:
	yych = *++cur;
	if (yych == 'T') goto yy716;
	if (yych == 't') goto yy716;
	goto yy53;
yy616:
	++cur;
#line 129 "tokenizer.re"
	{ KW(END_DO) }
#line 4039 "tokenizer.cpp"
yy618:
	++cur;
#line 127 "tokenizer.re"
	{ KW(END_IF) }
#line 4044 "tokenizer.cpp"
yy620:
	yych = *++cur;
	if (yych == 'E') goto yy717;
	if (yych == 'e') goto yy717;
	goto yy76;
yy621:
	yych = *++cur;
	if (yych == 'R') goto yy718;
	if (yych == 'r') goto yy718;
	goto yy53;
yy622:
	yych = *++cur;
	if (yych == 'A') goto yy719;
	if (yych == 'a') goto yy719;
	goto yy53;
yy623:
	yych = *++cur;
	if (yych == 'L') goto yy720;
	if (yych == 'l') goto yy720;
	goto yy53;
yy624:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 137 "tokenizer.re"
	{ KW(ERRMSG) }
#line 4073 "tokenizer.cpp"
yy626:
	yych = *++cur;
	if (yych == 'S') goto yy721;
	if (yych == 's') goto yy721;
	goto yy53;
yy627:
	yych = *++cur;
	if (yych == 'A') goto yy723;
	if (yych == 'a') goto yy723;
	goto yy53;
yy628:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 145 "tokenizer.re"
	{ KW(FORALL) }
#line 4092 "tokenizer.cpp"
yy630:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy124;
	}
	if (yych <= 'T') {
		if (yych <= '9') {
			if (yych >= '0') goto yy52;
		} else {
			if (yych <= '@') goto yy631;
			if (yych <= 'S') goto yy52;
			goto yy724;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy52;
			if (yych >= 'a') goto yy52;
		} else {
			if (yych <= 't') goto yy724;
			if (yych <= 'z') goto yy52;
		}
	}
yy631:
#line 146 "tokenizer.re"
	{ KW(FORMAT) }
#line 4118 "tokenizer.cpp"
yy632:
	yych = *++cur;
	if (yych == 'O') goto yy725;
	if (yych == 'o') goto yy725;
	goto yy53;
yy633:
	yych = *++cur;
	if (yych == 'C') goto yy726;
	if (yych == 'c') goto yy726;
	goto yy53;
yy634:
	yych = *++cur;
	if (yych == 'I') goto yy728;
	if (yych == 'i') goto yy728;
	goto yy53;
yy635:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 153 "tokenizer.re"
	{ KW(IMPORT) }
#line 4142 "tokenizer.cpp"
yy637:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 154 "tokenizer.re"
	{ KW(IMPURE) }
#line 4151 "tokenizer.cpp"
yy639:
	yych = *++cur;
	if (yych == 'E') goto yy729;
	if (yych == 'e') goto yy729;
	goto yy53;
yy640:
	yych = *++cur;
	if (yych == 'E') goto yy731;
	if (yych == 'e') goto yy731;
	goto yy53;
yy641:
	yych = *++cur;
	if (yych == 'R') goto yy733;
	if (yych == 'r') goto yy733;
	goto yy53;
yy642:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 160 "tokenizer.re"
	{ KW(INTENT) }
#line 4175 "tokenizer.cpp"
yy644:
	yych = *++cur;
	if (yych == 'A') goto yy735;
	if (yych == 'a') goto yy735;
	goto yy53;
yy645:
	yych = *++cur;
	if (yych == 'S') goto yy736;
	if (yych == 's') goto yy736;
	goto yy53;
yy646:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy79;
		if (yych <= '&') goto yy53;
		goto yy83;
	} else {
		if (yych <= 'I') {
			if (yych <= 'H') goto yy53;
			goto yy737;
		} else {
			if (yych == 'i') goto yy737;
			goto yy53;
		}
	}
yy647:
	yych = *++cur;
	if (yych == 'L') goto yy738;
	if (yych == 'l') goto yy738;
	goto yy53;
yy648:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 169 "tokenizer.re"
	{ KW(MODULE) }
#line 4215 "tokenizer.cpp"
yy650:
	yych = *++cur;
	if (yych == 'S') goto yy740;
	if (yych == 's') goto yy740;
	goto yy53;
yy651:
	yych = *++cur;
	if (yych == 'T') goto yy741;
	if (yych == 't') goto yy741;
	goto yy53;
yy652:
	yych = *++cur;
	if (yych == 'E') goto yy742;
	if (yych == 'e') goto yy742;
	goto yy53;
yy653:
	yych = *++cur;
	if (yych == 'C') goto yy743;
	if (yych == 'c') goto yy743;
	goto yy53;
yy654:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 173 "tokenizer.re"
	{ KW(NOPASS) }
#line 4244 "tokenizer.cpp"
yy656:
	yych = *++cur;
	if (yych == 'Y') goto yy744;
	if (yych == 'y') goto yy744;
	goto yy53;
yy657:
	yych = *++cur;
	if (yych == 'O') goto yy746;
	if (yych == 'o') goto yy746;
	goto yy53;
yy658:
	yych = *++cur;
	if (yych == 'A') goto yy747;
	if (yych == 'a') goto yy747;
	goto yy53;
yy659:
	yych = *++cur;
	if (yych == 'T') goto yy748;
	if (yych == 't') goto yy748;
	goto yy53;
yy660:
	yych = *++cur;
	if (yych == 'R') goto yy749;
	if (yych == 'r') goto yy749;
	goto yy53;
yy661:
	yych = *++cur;
	if (yych == 'I') goto yy751;
	if (yych == 'i') goto yy751;
	goto yy53;
yy662:
	yych = *++cur;
	if (yych == 'E') goto yy752;
	if (yych == 'e') goto yy752;
	goto yy53;
yy663:
	yych = *++cur;
	if (yych == 'U') goto yy754;
	if (yych == 'u') goto yy754;
	goto yy53;
yy664:
	yych = *++cur;
	if (yych == 'M') goto yy755;
	if (yych == 'm') goto yy755;
	goto yy53;
yy665:
	yych = *++cur;
	if (yych == 'T') goto yy757;
	if (yych == 't') goto yy757;
	goto yy53;
yy666:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 193 "tokenizer.re"
	{ KW(PUBLIC) }
#line 4303 "tokenizer.cpp"
yy668:
	yych = *++cur;
	if (yych == 'I') goto yy758;
	if (yych == 'i') goto yy758;
	goto yy53;
yy669:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 200 "tokenizer.re"
	{ KW(REDUCE) }
#line 4317 "tokenizer.cpp"
yy671:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 201 "tokenizer.re"
	{ KW(RESULT) }
#line 4326 "tokenizer.cpp"
yy673:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 202 "tokenizer.re"
	{ KW(RETURN) }
#line 4335 "tokenizer.cpp"
yy675:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 203 "tokenizer.re"
	{ KW(REWIND) }
#line 4344 "tokenizer.cpp"
yy677:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 205 "tokenizer.re"
	{ KW(SELECT) }
#line 4353 "tokenizer.cpp"
yy679:
	yych = *++cur;
	if (yych == 'C') goto yy759;
	if (yych == 'c') goto yy759;
	goto yy53;
yy680:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 207 "tokenizer.re"
	{ KW(SHARED) }
#line 4367 "tokenizer.cpp"
yy682:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 208 "tokenizer.re"
	{ KW(SOURCE) }
#line 4376 "tokenizer.cpp"
yy684:
	yych = *++cur;
	if (yych == 'U') goto yy760;
	if (yych == 'u') goto yy760;
	goto yy53;
yy685:
	yych = *++cur;
	if (yych == 'T') goto yy761;
	if (yych == 't') goto yy761;
	goto yy53;
yy686:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 213 "tokenizer.re"
	{ KW(TARGET) }
#line 4395 "tokenizer.cpp"
yy688:
	yych = *++cur;
	if (yych == 'U') goto yy762;
	if (yych == 'u') goto yy762;
	goto yy53;
yy689:
	yych = *++cur;
	if (yych == 'A') goto yy763;
	if (yych == 'a') goto yy763;
	goto yy53;
yy690:
	yych = *++cur;
	if (yych == 'L') goto yy764;
	if (yych == 'l') goto yy764;
	goto yy53;
yy691:
	yyaccept = 8;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy765;
yy692:
#line 274 "tokenizer.re"
	{ RET(TK_FALSE) }
#line 4418 "tokenizer.cpp"
yy693:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy76;
		if (yych <= '9') goto yy766;
		if (yych <= '@') goto yy76;
		goto yy768;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy76;
			goto yy768;
		} else {
			if (yych <= '`') goto yy76;
			if (yych <= 'z') goto yy768;
			goto yy76;
		}
	}
yy694:
	yych = *++cur;
	if (yych == 'T') goto yy770;
	if (yych == 't') goto yy770;
	goto yy53;
yy695:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy772;
		if (yych <= 'D') goto yy53;
		goto yy773;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy53;
			goto yy772;
		} else {
			if (yych == 'e') goto yy773;
			goto yy53;
		}
	}
yy696:
	yych = *++cur;
	if (yych == 'E') goto yy775;
	if (yych == 'e') goto yy775;
	goto yy53;
yy697:
	yych = *++cur;
	if (yych == 'T') goto yy776;
	if (yych == 't') goto yy776;
	goto yy53;
yy698:
	yych = *++cur;
	if (yych == 'O') goto yy777;
	if (yych == 'o') goto yy777;
	goto yy53;
yy699:
	yych = *++cur;
	if (yych == 'C') goto yy778;
	if (yych == 'c') goto yy778;
	goto yy53;
yy700:
	yych = *++cur;
	if (yych == 'E') goto yy779;
	if (yych == 'e') goto yy779;
	goto yy53;
yy701:
	yych = *++cur;
	if (yych == 'S') goto yy780;
	if (yych == 's') goto yy780;
	goto yy53;
yy702:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 109 "tokenizer.re"
	{ KW(COMPLEX) }
#line 4494 "tokenizer.cpp"
yy704:
	yych = *++cur;
	if (yych == 'E') goto yy781;
	if (yych == 'e') goto yy781;
	goto yy53;
yy705:
	yych = *++cur;
	if (yych == 'S') goto yy782;
	if (yych == 's') goto yy782;
	goto yy53;
yy706:
	yych = *++cur;
	if (yych == 'O') goto yy784;
	if (yych == 'o') goto yy784;
	goto yy53;
yy707:
	yych = *++cur;
	if (yych == 'E') goto yy785;
	if (yych == 'e') goto yy785;
	goto yy53;
yy708:
	yych = *++cur;
	if (yych == 'L') goto yy787;
	if (yych == 'l') goto yy787;
	goto yy53;
yy709:
	yych = *++cur;
	if (yych == 'A') goto yy789;
	if (yych == 'a') goto yy789;
	goto yy53;
yy710:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 118 "tokenizer.re"
	{ KW(DEFAULT) }
#line 4533 "tokenizer.cpp"
yy712:
	yych = *++cur;
	if (yych == 'D') goto yy790;
	if (yych == 'd') goto yy790;
	goto yy53;
yy713:
	yych = *++cur;
	if (yych == 'O') goto yy792;
	if (yych == 'o') goto yy792;
	goto yy53;
yy714:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 122 "tokenizer.re"
	{ KW(DOWHILE) }
#line 4552 "tokenizer.cpp"
yy716:
	yych = *++cur;
	if (yych == 'A') goto yy793;
	if (yych == 'a') goto yy793;
	goto yy53;
yy717:
	yych = *++cur;
	if (yych == 'R') goto yy794;
	if (yych == 'r') goto yy794;
	goto yy76;
yy718:
	yych = *++cur;
	if (yych == 'E') goto yy795;
	if (yych == 'e') goto yy795;
	goto yy53;
yy719:
	yych = *++cur;
	if (yych == 'T') goto yy797;
	if (yych == 't') goto yy797;
	goto yy53;
yy720:
	yych = *++cur;
	if (yych == 'E') goto yy798;
	if (yych == 'e') goto yy798;
	goto yy53;
yy721:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 140 "tokenizer.re"
	{ KW(EXTENDS) }
#line 4586 "tokenizer.cpp"
yy723:
	yych = *++cur;
	if (yych == 'L') goto yy799;
	if (yych == 'l') goto yy799;
	goto yy53;
yy724:
	yych = *++cur;
	if (yych == 'E') goto yy801;
	if (yych == 'e') goto yy801;
	goto yy53;
yy725:
	yych = *++cur;
	if (yych == 'N') goto yy802;
	if (yych == 'n') goto yy802;
	goto yy53;
yy726:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 149 "tokenizer.re"
	{ KW(GENERIC) }
#line 4610 "tokenizer.cpp"
yy728:
	yych = *++cur;
	if (yych == 'T') goto yy804;
	if (yych == 't') goto yy804;
	goto yy53;
yy729:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 156 "tokenizer.re"
	{ KW(INCLUDE) }
#line 4624 "tokenizer.cpp"
yy731:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 158 "tokenizer.re"
	{ KW(INQUIRE) }
#line 4633 "tokenizer.cpp"
yy733:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 159 "tokenizer.re"
	{ KW(INTEGER) }
#line 4642 "tokenizer.cpp"
yy735:
	yych = *++cur;
	if (yych == 'C') goto yy806;
	if (yych == 'c') goto yy806;
	goto yy53;
yy736:
	yych = *++cur;
	if (yych == 'I') goto yy807;
	if (yych == 'i') goto yy807;
	goto yy53;
yy737:
	yych = *++cur;
	if (yych == 'N') goto yy808;
	if (yych == 'n') goto yy808;
	goto yy53;
yy738:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 168 "tokenizer.re"
	{ KW(LOGICAL) }
#line 4666 "tokenizer.cpp"
yy740:
	yych = *++cur;
	if (yych == 'T') goto yy809;
	if (yych == 't') goto yy809;
	goto yy53;
yy741:
	yych = *++cur;
	if (yych == 'R') goto yy811;
	if (yych == 'r') goto yy811;
	goto yy53;
yy742:
	yych = *++cur;
	if (yych == 'R') goto yy812;
	if (yych == 'r') goto yy812;
	goto yy53;
yy743:
	yych = *++cur;
	if (yych == 'U') goto yy813;
	if (yych == 'u') goto yy813;
	goto yy53;
yy744:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 178 "tokenizer.re"
	{ KW(NULLIFY) }
#line 4695 "tokenizer.cpp"
yy746:
	yych = *++cur;
	if (yych == 'R') goto yy814;
	if (yych == 'r') goto yy814;
	goto yy53;
yy747:
	yych = *++cur;
	if (yych == 'L') goto yy816;
	if (yych == 'l') goto yy816;
	goto yy53;
yy748:
	yych = *++cur;
	if (yych == 'E') goto yy818;
	if (yych == 'e') goto yy818;
	goto yy53;
yy749:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 186 "tokenizer.re"
	{ KW(POINTER) }
#line 4719 "tokenizer.cpp"
yy751:
	yych = *++cur;
	if (yych == 'O') goto yy819;
	if (yych == 'o') goto yy819;
	goto yy53;
yy752:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 189 "tokenizer.re"
	{ KW(PRIVATE) }
#line 4733 "tokenizer.cpp"
yy754:
	yych = *++cur;
	if (yych == 'R') goto yy820;
	if (yych == 'r') goto yy820;
	goto yy53;
yy755:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 191 "tokenizer.re"
	{ KW(PROGRAM) }
#line 4747 "tokenizer.cpp"
yy757:
	yych = *++cur;
	if (yych == 'E') goto yy821;
	if (yych == 'e') goto yy821;
	goto yy53;
yy758:
	yych = *++cur;
	if (yych == 'V') goto yy822;
	if (yych == 'v') goto yy822;
	goto yy53;
yy759:
	yych = *++cur;
	if (yych == 'E') goto yy823;
	if (yych == 'e') goto yy823;
	goto yy53;
yy760:
	yych = *++cur;
	if (yych == 'L') goto yy825;
	if (yych == 'l') goto yy825;
	goto yy53;
yy761:
	yych = *++cur;
	if (yych == 'I') goto yy826;
	if (yych == 'i') goto yy826;
	goto yy53;
yy762:
	yych = *++cur;
	if (yych == 'M') goto yy827;
	if (yych == 'm') goto yy827;
	goto yy53;
yy763:
	yych = *++cur;
	if (yych == 'T') goto yy828;
	if (yych == 't') goto yy828;
	goto yy53;
yy764:
	yych = *++cur;
	if (yych == 'E') goto yy829;
	if (yych == 'e') goto yy829;
	goto yy53;
yy765:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy76;
		if (yych <= '9') goto yy831;
		if (yych <= '@') goto yy76;
		goto yy833;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy76;
			goto yy833;
		} else {
			if (yych <= '`') goto yy76;
			if (yych <= 'z') goto yy833;
			goto yy76;
		}
	}
yy766:
	yych = *++cur;
	if (yych <= '/') goto yy591;
	if (yych <= '9') goto yy766;
	goto yy591;
yy768:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy591;
		if (yych <= '9') goto yy768;
		if (yych <= '@') goto yy591;
		goto yy768;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy591;
			goto yy768;
		} else {
			if (yych <= '`') goto yy591;
			if (yych <= 'z') goto yy768;
			goto yy591;
		}
	}
yy770:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 92 "tokenizer.re"
	{ KW(ABSTRACT) }
#line 4835 "tokenizer.cpp"
yy772:
	yych = *++cur;
	if (yych == 'B') goto yy835;
	if (yych == 'b') goto yy835;
	goto yy53;
yy773:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 95 "tokenizer.re"
	{ KW(ALLOCATE) }
#line 4849 "tokenizer.cpp"
yy775:
	yych = *++cur;
	if (yych == 'N') goto yy836;
	if (yych == 'n') goto yy836;
	goto yy53;
yy776:
	yych = *++cur;
	if (yych == 'E') goto yy837;
	if (yych == 'e') goto yy837;
	goto yy53;
yy777:
	yych = *++cur;
	if (yych == 'N') goto yy839;
	if (yych == 'n') goto yy839;
	goto yy53;
yy778:
	yych = *++cur;
	if (yych == 'E') goto yy840;
	if (yych == 'e') goto yy840;
	goto yy53;
yy779:
	yych = *++cur;
	if (yych == 'R') goto yy842;
	if (yych == 'r') goto yy842;
	goto yy53;
yy780:
	yych = *++cur;
	if (yych == 'I') goto yy844;
	if (yych == 'i') goto yy844;
	goto yy53;
yy781:
	yych = *++cur;
	if (yych == 'N') goto yy845;
	if (yych == 'n') goto yy845;
	goto yy53;
yy782:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 111 "tokenizer.re"
	{ KW(CONTAINS) }
#line 4893 "tokenizer.cpp"
yy784:
	yych = *++cur;
	if (yych == 'U') goto yy846;
	if (yych == 'u') goto yy846;
	goto yy53;
yy785:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 113 "tokenizer.re"
	{ KW(CONTINUE) }
#line 4907 "tokenizer.cpp"
yy787:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 114 "tokenizer.re"
	{ KW(CRITICAL) }
#line 4916 "tokenizer.cpp"
yy789:
	yych = *++cur;
	if (yych == 'T') goto yy847;
	if (yych == 't') goto yy847;
	goto yy53;
yy790:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 119 "tokenizer.re"
	{ KW(DEFERRED) }
#line 4930 "tokenizer.cpp"
yy792:
	yych = *++cur;
	if (yych == 'N') goto yy848;
	if (yych == 'n') goto yy848;
	goto yy53;
yy793:
	yych = *++cur;
	if (yych == 'L') goto yy850;
	if (yych == 'l') goto yy850;
	goto yy53;
yy794:
	yych = *++cur;
	if (yych == 'E') goto yy852;
	if (yych == 'e') goto yy852;
	goto yy76;
yy795:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 132 "tokenizer.re"
	{ KW(ENDWHERE) }
#line 4954 "tokenizer.cpp"
yy797:
	yych = *++cur;
	if (yych == 'O') goto yy854;
	if (yych == 'o') goto yy854;
	goto yy53;
yy798:
	yych = *++cur;
	if (yych == 'N') goto yy855;
	if (yych == 'n') goto yy855;
	goto yy53;
yy799:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 141 "tokenizer.re"
	{ KW(EXTERNAL) }
#line 4973 "tokenizer.cpp"
yy801:
	yych = *++cur;
	if (yych == 'D') goto yy856;
	if (yych == 'd') goto yy856;
	goto yy53;
yy802:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 148 "tokenizer.re"
	{ KW(FUNCTION) }
#line 4987 "tokenizer.cpp"
yy804:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 152 "tokenizer.re"
	{ KW(IMPLICIT) }
#line 4996 "tokenizer.cpp"
yy806:
	yych = *++cur;
	if (yych == 'E') goto yy858;
	if (yych == 'e') goto yy858;
	goto yy53;
yy807:
	yych = *++cur;
	if (yych == 'C') goto yy860;
	if (yych == 'c') goto yy860;
	goto yy53;
yy808:
	yych = *++cur;
	if (yych == 'I') goto yy862;
	if (yych == 'i') goto yy862;
	goto yy53;
yy809:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 172 "tokenizer.re"
	{ KW(NAMELIST) }
#line 5020 "tokenizer.cpp"
yy811:
	yych = *++cur;
	if (yych == 'I') goto yy863;
	if (yych == 'i') goto yy863;
	goto yy53;
yy812:
	yych = *++cur;
	if (yych == 'R') goto yy864;
	if (yych == 'r') goto yy864;
	goto yy53;
yy813:
	yych = *++cur;
	if (yych == 'R') goto yy865;
	if (yych == 'r') goto yy865;
	goto yy53;
yy814:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 181 "tokenizer.re"
	{ KW(OPERATOR) }
#line 5044 "tokenizer.cpp"
yy816:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 182 "tokenizer.re"
	{ KW(OPTIONAL) }
#line 5053 "tokenizer.cpp"
yy818:
	yych = *++cur;
	if (yych == 'R') goto yy866;
	if (yych == 'r') goto yy866;
	goto yy53;
yy819:
	yych = *++cur;
	if (yych == 'N') goto yy868;
	if (yych == 'n') goto yy868;
	goto yy53;
yy820:
	yych = *++cur;
	if (yych == 'E') goto yy870;
	if (yych == 'e') goto yy870;
	goto yy53;
yy821:
	yych = *++cur;
	if (yych == 'D') goto yy872;
	if (yych == 'd') goto yy872;
	goto yy53;
yy822:
	yych = *++cur;
	if (yych == 'E') goto yy874;
	if (yych == 'e') goto yy874;
	goto yy53;
yy823:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 206 "tokenizer.re"
	{ KW(SEQUENCE) }
#line 5087 "tokenizer.cpp"
yy825:
	yych = *++cur;
	if (yych == 'E') goto yy876;
	if (yych == 'e') goto yy876;
	goto yy53;
yy826:
	yych = *++cur;
	if (yych == 'N') goto yy878;
	if (yych == 'n') goto yy878;
	goto yy53;
yy827:
	yych = *++cur;
	if (yych == 'B') goto yy879;
	if (yych == 'b') goto yy879;
	goto yy53;
yy828:
	yych = *++cur;
	if (yych == 'T') goto yy880;
	if (yych == 't') goto yy880;
	goto yy53;
yy829:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 222 "tokenizer.re"
	{ KW(VOLATILE) }
#line 5116 "tokenizer.cpp"
yy831:
	yych = *++cur;
	if (yych <= '/') goto yy692;
	if (yych <= '9') goto yy831;
	goto yy692;
yy833:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy692;
		if (yych <= '9') goto yy833;
		if (yych <= '@') goto yy692;
		goto yy833;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy692;
			goto yy833;
		} else {
			if (yych <= '`') goto yy692;
			if (yych <= 'z') goto yy833;
			goto yy692;
		}
	}
yy835:
	yych = *++cur;
	if (yych == 'L') goto yy881;
	if (yych == 'l') goto yy881;
	goto yy53;
yy836:
	yych = *++cur;
	if (yych == 'T') goto yy882;
	if (yych == 't') goto yy882;
	goto yy53;
yy837:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 97 "tokenizer.re"
	{ KW(ASSOCIATE) }
#line 5157 "tokenizer.cpp"
yy839:
	yych = *++cur;
	if (yych == 'O') goto yy884;
	if (yych == 'o') goto yy884;
	goto yy53;
yy840:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 99 "tokenizer.re"
	{ KW(BACKSPACE) }
#line 5171 "tokenizer.cpp"
yy842:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 104 "tokenizer.re"
	{ KW(CHARACTER) }
#line 5180 "tokenizer.cpp"
yy844:
	yych = *++cur;
	if (yych == 'O') goto yy885;
	if (yych == 'o') goto yy885;
	goto yy53;
yy845:
	yych = *++cur;
	if (yych == 'T') goto yy886;
	if (yych == 't') goto yy886;
	goto yy53;
yy846:
	yych = *++cur;
	if (yych == 'S') goto yy888;
	if (yych == 's') goto yy888;
	goto yy53;
yy847:
	yych = *++cur;
	if (yych == 'E') goto yy890;
	if (yych == 'e') goto yy890;
	goto yy53;
yy848:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 120 "tokenizer.re"
	{ KW(DIMENSION) }
#line 5209 "tokenizer.cpp"
yy850:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 124 "tokenizer.re"
	{ KW(ELEMENTAL) }
#line 5218 "tokenizer.cpp"
yy852:
	++cur;
#line 131 "tokenizer.re"
	{ KW(END_WHERE) }
#line 5223 "tokenizer.cpp"
yy854:
	yych = *++cur;
	if (yych == 'R') goto yy892;
	if (yych == 'r') goto yy892;
	goto yy53;
yy855:
	yych = *++cur;
	if (yych == 'C') goto yy894;
	if (yych == 'c') goto yy894;
	goto yy53;
yy856:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 147 "tokenizer.re"
	{ KW(FORMATTED) }
#line 5242 "tokenizer.cpp"
yy858:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 161 "tokenizer.re"
	{ KW(INTERFACE) }
#line 5251 "tokenizer.cpp"
yy860:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 162 "tokenizer.re"
	{ KW(INTRINSIC) }
#line 5260 "tokenizer.cpp"
yy862:
	yych = *++cur;
	if (yych == 'T') goto yy895;
	if (yych == 't') goto yy895;
	goto yy53;
yy863:
	yych = *++cur;
	if (yych == 'N') goto yy897;
	if (yych == 'n') goto yy897;
	goto yy53;
yy864:
	yych = *++cur;
	if (yych == 'I') goto yy898;
	if (yych == 'i') goto yy898;
	goto yy53;
yy865:
	yych = *++cur;
	if (yych == 'S') goto yy899;
	if (yych == 's') goto yy899;
	goto yy53;
yy866:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 184 "tokenizer.re"
	{ KW(PARAMETER) }
#line 5289 "tokenizer.cpp"
yy868:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 187 "tokenizer.re"
	{ KW(PRECISION) }
#line 5298 "tokenizer.cpp"
yy870:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 190 "tokenizer.re"
	{ KW(PROCEDURE) }
#line 5307 "tokenizer.cpp"
yy872:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 192 "tokenizer.re"
	{ KW(PROTECTED) }
#line 5316 "tokenizer.cpp"
yy874:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 199 "tokenizer.re"
	{ KW(RECURSIVE) }
#line 5325 "tokenizer.cpp"
yy876:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 211 "tokenizer.re"
	{ KW(SUBMODULE) }
#line 5334 "tokenizer.cpp"
yy878:
	yych = *++cur;
	if (yych == 'E') goto yy900;
	if (yych == 'e') goto yy900;
	goto yy53;
yy879:
	yych = *++cur;
	if (yych == 'E') goto yy902;
	if (yych == 'e') goto yy902;
	goto yy53;
yy880:
	yych = *++cur;
	if (yych == 'E') goto yy903;
	if (yych == 'e') goto yy903;
	goto yy53;
yy881:
	yych = *++cur;
	if (yych == 'E') goto yy904;
	if (yych == 'e') goto yy904;
	goto yy53;
yy882:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 96 "tokenizer.re"
	{ KW(ASSIGNMENT) }
#line 5363 "tokenizer.cpp"
yy884:
	yych = *++cur;
	if (yych == 'U') goto yy906;
	if (yych == 'u') goto yy906;
	goto yy53;
yy885:
	yych = *++cur;
	if (yych == 'N') goto yy907;
	if (yych == 'n') goto yy907;
	goto yy53;
yy886:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 110 "tokenizer.re"
	{ KW(CONCURRENT) }
#line 5382 "tokenizer.cpp"
yy888:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 112 "tokenizer.re"
	{ KW(CONTIGUOUS) }
#line 5391 "tokenizer.cpp"
yy890:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 117 "tokenizer.re"
	{ KW(DEALLOCATE) }
#line 5400 "tokenizer.cpp"
yy892:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 135 "tokenizer.re"
	{ KW(ENUMERATOR) }
#line 5409 "tokenizer.cpp"
yy894:
	yych = *++cur;
	if (yych == 'E') goto yy909;
	if (yych == 'e') goto yy909;
	goto yy53;
yy895:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 167 "tokenizer.re"
	{ KW(LOCAL_INIT) }
#line 5423 "tokenizer.cpp"
yy897:
	yych = *++cur;
	if (yych == 'S') goto yy911;
	if (yych == 's') goto yy911;
	goto yy53;
yy898:
	yych = *++cur;
	if (yych == 'D') goto yy912;
	if (yych == 'd') goto yy912;
	goto yy53;
yy899:
	yych = *++cur;
	if (yych == 'I') goto yy913;
	if (yych == 'i') goto yy913;
	goto yy53;
yy900:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 212 "tokenizer.re"
	{ KW(SUBROUTINE) }
#line 5447 "tokenizer.cpp"
yy902:
	yych = *++cur;
	if (yych == 'R') goto yy914;
	if (yych == 'r') goto yy914;
	goto yy53;
yy903:
	yych = *++cur;
	if (yych == 'D') goto yy916;
	if (yych == 'd') goto yy916;
	goto yy53;
yy904:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 94 "tokenizer.re"
	{ KW(ALLOCATABLE) }
#line 5466 "tokenizer.cpp"
yy906:
	yych = *++cur;
	if (yych == 'S') goto yy918;
	if (yych == 's') goto yy918;
	goto yy53;
yy907:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 107 "tokenizer.re"
	{ KW(CODIMENSION) }
#line 5480 "tokenizer.cpp"
yy909:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 136 "tokenizer.re"
	{ KW(EQUIVALENCE) }
#line 5489 "tokenizer.cpp"
yy911:
	yych = *++cur;
	if (yych == 'I') goto yy920;
	if (yych == 'i') goto yy920;
	goto yy53;
yy912:
	yych = *++cur;
	if (yych == 'A') goto yy921;
	if (yych == 'a') goto yy921;
	goto yy53;
yy913:
	yych = *++cur;
	if (yych == 'V') goto yy922;
	if (yych == 'v') goto yy922;
	goto yy53;
yy914:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 215 "tokenizer.re"
	{ KW(TEAM_NUMBER) }
#line 5513 "tokenizer.cpp"
yy916:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 219 "tokenizer.re"
	{ KW(UNFORMATTED) }
#line 5522 "tokenizer.cpp"
yy918:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 98 "tokenizer.re"
	{ KW(ASYNCHRONOUS) }
#line 5531 "tokenizer.cpp"
yy920:
	yych = *++cur;
	if (yych == 'C') goto yy923;
	if (yych == 'c') goto yy923;
	goto yy53;
yy921:
	yych = *++cur;
	if (yych == 'B') goto yy925;
	if (yych == 'b') goto yy925;
	goto yy53;
yy922:
	yych = *++cur;
	if (yych == 'E') goto yy926;
	if (yych == 'e') goto yy926;
	goto yy53;
yy923:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 174 "tokenizer.re"
	{ KW(NON_INTRINSIC) }
#line 5555 "tokenizer.cpp"
yy925:
	yych = *++cur;
	if (yych == 'L') goto yy928;
	if (yych == 'l') goto yy928;
	goto yy53;
yy926:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 176 "tokenizer.re"
	{ KW(NON_RECURSIVE) }
#line 5569 "tokenizer.cpp"
yy928:
	yych = *++cur;
	if (yych == 'E') goto yy929;
	if (yych != 'e') goto yy53;
yy929:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy52;
	}
	if (yych == '_') goto yy124;
#line 175 "tokenizer.re"
	{ KW(NON_OVERRIDABLE) }
#line 5582 "tokenizer.cpp"
}
#line 314 "tokenizer.re"

    }
}

} // namespace LFortran
